/******************************************************************************
* File Name: DMA_DIG_dma.h  
* Version 1.60
*
*  Description:
*   Provides the function definitions for the DMA Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__DMA_DIG_DMA_H__)
#define __DMA_DIG_DMA_H__



#include <CYDMAC.H>
#include <CYFITTER.H>

#define DMA_DIG__TD_TERMOUT_EN ((DMA_DIG__TERMOUT0_EN ? TD_TERMOUT0_EN : 0) | \
    (DMA_DIG__TERMOUT1_EN ? TD_TERMOUT1_EN : 0))

/* Zero based index of DMA_DIG dma channel */
extern uint8 DMA_DIG_DmaHandle;


uint8 DMA_DIG_DmaInitialize(uint8 BurstCount, uint8 ReqestPerBurst, uint16 UpperSrcAddress, uint16 UpperDestAddress) ;
void  DMA_DIG_DmaRelease(void) ;


/* __DMA_DIG_DMA_H__ */
#endif
