/*******************************************************************************
* File Name: Reg_DigitalValues.h  
* Version 1.70
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CONTROL_REG_Reg_DigitalValues_H) /* CY_CONTROL_REG_Reg_DigitalValues_H */
#define CY_CONTROL_REG_Reg_DigitalValues_H

#include "cytypes.h"


/***************************************
*         Function Prototypes 
***************************************/

void    Reg_DigitalValues_Write(uint8 control) ;
uint8   Reg_DigitalValues_Read(void) ;


/***************************************
*            Registers        
***************************************/

/* Control Register */
#define Reg_DigitalValues_Control        (* (reg8 *) Reg_DigitalValues_Async_ctrl_reg__CONTROL_REG )
#define Reg_DigitalValues_Control_PTR    (  (reg8 *) Reg_DigitalValues_Async_ctrl_reg__CONTROL_REG )

#endif /* End CY_CONTROL_REG_Reg_DigitalValues_H */


/* [] END OF FILE */
