/*******************************************************************************
* File Name: Reg_MenuNextBtn.h  
* Version 1.70
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_Reg_MenuNextBtn_H) /* CY_STATUS_REG_Reg_MenuNextBtn_H */
#define CY_STATUS_REG_Reg_MenuNextBtn_H

#include "cytypes.h"
#include "CyLib.h"


/***************************************
*        Function Prototypes
***************************************/

uint8 Reg_MenuNextBtn_Read(void) ;
void Reg_MenuNextBtn_InterruptEnable(void) ;
void Reg_MenuNextBtn_InterruptDisable(void) ;
void Reg_MenuNextBtn_WriteMask(uint8) ;
uint8 Reg_MenuNextBtn_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define Reg_MenuNextBtn_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define Reg_MenuNextBtn_INPUTS              1


/***************************************
*             Registers
***************************************/

/* Status Register */
#define Reg_MenuNextBtn_Status             (* (reg8 *) Reg_MenuNextBtn_sts_sts_reg__STATUS_REG )
#define Reg_MenuNextBtn_Status_PTR         (  (reg8 *) Reg_MenuNextBtn_sts_sts_reg__STATUS_REG )
#define Reg_MenuNextBtn_Status_Mask        (* (reg8 *) Reg_MenuNextBtn_sts_sts_reg__MASK_REG )
#define Reg_MenuNextBtn_Status_Aux_Ctrl    (* (reg8 *) Reg_MenuNextBtn_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_Reg_MenuNextBtn_H */


/* [] END OF FILE */
