#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* CapSense_CompCH0_ctComp */
#define CapSense_CompCH0_ctComp__CLK CYREG_CMP0_CLK
#define CapSense_CompCH0_ctComp__CMP_MASK 0x01u
#define CapSense_CompCH0_ctComp__CMP_NUMBER 0
#define CapSense_CompCH0_ctComp__CR CYREG_CMP0_CR
#define CapSense_CompCH0_ctComp__LUT__CR CYREG_LUT0_CR
#define CapSense_CompCH0_ctComp__LUT__MSK CYREG_LUT_MSK
#define CapSense_CompCH0_ctComp__LUT__MSK_MASK 0x01u
#define CapSense_CompCH0_ctComp__LUT__MSK_SHIFT 0
#define CapSense_CompCH0_ctComp__LUT__MX CYREG_LUT0_MX
#define CapSense_CompCH0_ctComp__LUT__SR CYREG_LUT_SR
#define CapSense_CompCH0_ctComp__LUT__SR_MASK 0x01u
#define CapSense_CompCH0_ctComp__LUT__SR_SHIFT 0
#define CapSense_CompCH0_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define CapSense_CompCH0_ctComp__PM_ACT_MSK 0x01u
#define CapSense_CompCH0_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define CapSense_CompCH0_ctComp__PM_STBY_MSK 0x01u
#define CapSense_CompCH0_ctComp__SW0 CYREG_CMP0_SW0
#define CapSense_CompCH0_ctComp__SW2 CYREG_CMP0_SW2
#define CapSense_CompCH0_ctComp__SW3 CYREG_CMP0_SW3
#define CapSense_CompCH0_ctComp__SW4 CYREG_CMP0_SW4
#define CapSense_CompCH0_ctComp__SW6 CYREG_CMP0_SW6
#define CapSense_CompCH0_ctComp__TR CYREG_CMP0_TR
#define CapSense_CompCH0_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP0_TR0
#define CapSense_CompCH0_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP0_TR0_HS
#define CapSense_CompCH0_ctComp__WRK CYREG_CMP_WRK
#define CapSense_CompCH0_ctComp__WRK_MASK 0x01u
#define CapSense_CompCH0_ctComp__WRK_SHIFT 0

/* CapSense_IdacCH0_viDAC8 */
#define CapSense_IdacCH0_viDAC8__CR0 CYREG_DAC1_CR0
#define CapSense_IdacCH0_viDAC8__CR1 CYREG_DAC1_CR1
#define CapSense_IdacCH0_viDAC8__D CYREG_DAC1_D
#define CapSense_IdacCH0_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define CapSense_IdacCH0_viDAC8__PM_ACT_MSK 0x02u
#define CapSense_IdacCH0_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define CapSense_IdacCH0_viDAC8__PM_STBY_MSK 0x02u
#define CapSense_IdacCH0_viDAC8__STROBE CYREG_DAC1_STROBE
#define CapSense_IdacCH0_viDAC8__SW0 CYREG_DAC1_SW0
#define CapSense_IdacCH0_viDAC8__SW2 CYREG_DAC1_SW2
#define CapSense_IdacCH0_viDAC8__SW3 CYREG_DAC1_SW3
#define CapSense_IdacCH0_viDAC8__SW4 CYREG_DAC1_SW4
#define CapSense_IdacCH0_viDAC8__TR CYREG_DAC1_TR
#define CapSense_IdacCH0_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC1_M1
#define CapSense_IdacCH0_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC1_M2
#define CapSense_IdacCH0_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC1_M3
#define CapSense_IdacCH0_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC1_M4
#define CapSense_IdacCH0_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC1_M5
#define CapSense_IdacCH0_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC1_M6
#define CapSense_IdacCH0_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC1_M7
#define CapSense_IdacCH0_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC1_M8
#define CapSense_IdacCH0_viDAC8__TRIM__TR CYREG_FLSHID_MFG_CFG_DAC1_TR
#define CapSense_IdacCH0_viDAC8__TST CYREG_DAC1_TST

/* Counter_Sync_CounterHW */
#define Counter_Sync_CounterHW__CAP0 CYREG_TMR0_CAP0
#define Counter_Sync_CounterHW__CAP1 CYREG_TMR0_CAP1
#define Counter_Sync_CounterHW__CFG0 CYREG_TMR0_CFG0
#define Counter_Sync_CounterHW__CFG1 CYREG_TMR0_CFG1
#define Counter_Sync_CounterHW__CNT_CMP0 CYREG_TMR0_CNT_CMP0
#define Counter_Sync_CounterHW__CNT_CMP1 CYREG_TMR0_CNT_CMP1
#define Counter_Sync_CounterHW__PER0 CYREG_TMR0_PER0
#define Counter_Sync_CounterHW__PER1 CYREG_TMR0_PER1
#define Counter_Sync_CounterHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define Counter_Sync_CounterHW__PM_ACT_MSK 0x01u
#define Counter_Sync_CounterHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define Counter_Sync_CounterHW__PM_STBY_MSK 0x01u
#define Counter_Sync_CounterHW__RT0 CYREG_TMR0_RT0
#define Counter_Sync_CounterHW__RT1 CYREG_TMR0_RT1
#define Counter_Sync_CounterHW__SR0 CYREG_TMR0_SR0

/* Timer_WaveCtrl_TimerHW */
#define Timer_WaveCtrl_TimerHW__CAP0 CYREG_TMR1_CAP0
#define Timer_WaveCtrl_TimerHW__CAP1 CYREG_TMR1_CAP1
#define Timer_WaveCtrl_TimerHW__CFG0 CYREG_TMR1_CFG0
#define Timer_WaveCtrl_TimerHW__CFG1 CYREG_TMR1_CFG1
#define Timer_WaveCtrl_TimerHW__CNT_CMP0 CYREG_TMR1_CNT_CMP0
#define Timer_WaveCtrl_TimerHW__CNT_CMP1 CYREG_TMR1_CNT_CMP1
#define Timer_WaveCtrl_TimerHW__PER0 CYREG_TMR1_PER0
#define Timer_WaveCtrl_TimerHW__PER1 CYREG_TMR1_PER1
#define Timer_WaveCtrl_TimerHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define Timer_WaveCtrl_TimerHW__PM_ACT_MSK 0x02u
#define Timer_WaveCtrl_TimerHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define Timer_WaveCtrl_TimerHW__PM_STBY_MSK 0x02u
#define Timer_WaveCtrl_TimerHW__RT0 CYREG_TMR1_RT0
#define Timer_WaveCtrl_TimerHW__RT1 CYREG_TMR1_RT1
#define Timer_WaveCtrl_TimerHW__SR0 CYREG_TMR1_SR0

/* ADC_Freq_Ext_CP_Clk */
#define ADC_Freq_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define ADC_Freq_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define ADC_Freq_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define ADC_Freq_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_Freq_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_Freq_Ext_CP_Clk__PM_ACT_MSK 0x02u
#define ADC_Freq_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_Freq_Ext_CP_Clk__PM_STBY_MSK 0x02u

/* CapSense_MeasureCH0 */
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_A0_REG CYREG_B1_UDB08_09_A0
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_A1_REG CYREG_B1_UDB08_09_A1
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_D0_REG CYREG_B1_UDB08_09_D0
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_D1_REG CYREG_B1_UDB08_09_D1
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB08_09_ACTL
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_F0_REG CYREG_B1_UDB08_09_F0
#define CapSense_MeasureCH0_UDB_Counter_u0__16BIT_F1_REG CYREG_B1_UDB08_09_F1
#define CapSense_MeasureCH0_UDB_Counter_u0__A0_A1_REG CYREG_B1_UDB08_A0_A1
#define CapSense_MeasureCH0_UDB_Counter_u0__A0_REG CYREG_B1_UDB08_A0
#define CapSense_MeasureCH0_UDB_Counter_u0__A1_REG CYREG_B1_UDB08_A1
#define CapSense_MeasureCH0_UDB_Counter_u0__D0_D1_REG CYREG_B1_UDB08_D0_D1
#define CapSense_MeasureCH0_UDB_Counter_u0__D0_REG CYREG_B1_UDB08_D0
#define CapSense_MeasureCH0_UDB_Counter_u0__D1_REG CYREG_B1_UDB08_D1
#define CapSense_MeasureCH0_UDB_Counter_u0__DP_AUX_CTL_REG CYREG_B1_UDB08_ACTL
#define CapSense_MeasureCH0_UDB_Counter_u0__F0_F1_REG CYREG_B1_UDB08_F0_F1
#define CapSense_MeasureCH0_UDB_Counter_u0__F0_REG CYREG_B1_UDB08_F0
#define CapSense_MeasureCH0_UDB_Counter_u0__F1_REG CYREG_B1_UDB08_F1
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_A0_REG CYREG_B1_UDB09_10_A0
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_A1_REG CYREG_B1_UDB09_10_A1
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_D0_REG CYREG_B1_UDB09_10_D0
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_D1_REG CYREG_B1_UDB09_10_D1
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_F0_REG CYREG_B1_UDB09_10_F0
#define CapSense_MeasureCH0_UDB_Window_u0__16BIT_F1_REG CYREG_B1_UDB09_10_F1
#define CapSense_MeasureCH0_UDB_Window_u0__A0_A1_REG CYREG_B1_UDB09_A0_A1
#define CapSense_MeasureCH0_UDB_Window_u0__A0_REG CYREG_B1_UDB09_A0
#define CapSense_MeasureCH0_UDB_Window_u0__A1_REG CYREG_B1_UDB09_A1
#define CapSense_MeasureCH0_UDB_Window_u0__D0_D1_REG CYREG_B1_UDB09_D0_D1
#define CapSense_MeasureCH0_UDB_Window_u0__D0_REG CYREG_B1_UDB09_D0
#define CapSense_MeasureCH0_UDB_Window_u0__D1_REG CYREG_B1_UDB09_D1
#define CapSense_MeasureCH0_UDB_Window_u0__DP_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define CapSense_MeasureCH0_UDB_Window_u0__F0_F1_REG CYREG_B1_UDB09_F0_F1
#define CapSense_MeasureCH0_UDB_Window_u0__F0_REG CYREG_B1_UDB09_F0
#define CapSense_MeasureCH0_UDB_Window_u0__F1_REG CYREG_B1_UDB09_F1

/* ADC_SAR_1_ADC_SAR */
#define ADC_SAR_1_ADC_SAR__CLK CYREG_SAR1_CLK
#define ADC_SAR_1_ADC_SAR__CSR0 CYREG_SAR1_CSR0
#define ADC_SAR_1_ADC_SAR__CSR1 CYREG_SAR1_CSR1
#define ADC_SAR_1_ADC_SAR__CSR2 CYREG_SAR1_CSR2
#define ADC_SAR_1_ADC_SAR__CSR3 CYREG_SAR1_CSR3
#define ADC_SAR_1_ADC_SAR__CSR4 CYREG_SAR1_CSR4
#define ADC_SAR_1_ADC_SAR__CSR5 CYREG_SAR1_CSR5
#define ADC_SAR_1_ADC_SAR__CSR6 CYREG_SAR1_CSR6
#define ADC_SAR_1_ADC_SAR__CSR7 CYREG_SAR1_CSR7
#define ADC_SAR_1_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_SAR_1_ADC_SAR__PM_ACT_MSK 0x02u
#define ADC_SAR_1_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_SAR_1_ADC_SAR__PM_STBY_MSK 0x02u
#define ADC_SAR_1_ADC_SAR__SW0 CYREG_SAR1_SW0
#define ADC_SAR_1_ADC_SAR__SW2 CYREG_SAR1_SW2
#define ADC_SAR_1_ADC_SAR__SW3 CYREG_SAR1_SW3
#define ADC_SAR_1_ADC_SAR__SW4 CYREG_SAR1_SW4
#define ADC_SAR_1_ADC_SAR__SW6 CYREG_SAR1_SW6
#define ADC_SAR_1_ADC_SAR__TR0 CYREG_SAR1_TR0
#define ADC_SAR_1_ADC_SAR__TRIM__TR0 CYREG_FLSHID_MFG_CFG_SAR1_TR0
#define ADC_SAR_1_ADC_SAR__TRIM__TR1 CYREG_FLSHID_MFG_CFG_SAR1_TR1
#define ADC_SAR_1_ADC_SAR__WRK0 CYREG_SAR1_WRK0
#define ADC_SAR_1_ADC_SAR__WRK1 CYREG_SAR1_WRK1

/* ADC_SAR_2_ADC_SAR */
#define ADC_SAR_2_ADC_SAR__CLK CYREG_SAR0_CLK
#define ADC_SAR_2_ADC_SAR__CSR0 CYREG_SAR0_CSR0
#define ADC_SAR_2_ADC_SAR__CSR1 CYREG_SAR0_CSR1
#define ADC_SAR_2_ADC_SAR__CSR2 CYREG_SAR0_CSR2
#define ADC_SAR_2_ADC_SAR__CSR3 CYREG_SAR0_CSR3
#define ADC_SAR_2_ADC_SAR__CSR4 CYREG_SAR0_CSR4
#define ADC_SAR_2_ADC_SAR__CSR5 CYREG_SAR0_CSR5
#define ADC_SAR_2_ADC_SAR__CSR6 CYREG_SAR0_CSR6
#define ADC_SAR_2_ADC_SAR__CSR7 CYREG_SAR0_CSR7
#define ADC_SAR_2_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_SAR_2_ADC_SAR__PM_ACT_MSK 0x01u
#define ADC_SAR_2_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_SAR_2_ADC_SAR__PM_STBY_MSK 0x01u
#define ADC_SAR_2_ADC_SAR__SW0 CYREG_SAR0_SW0
#define ADC_SAR_2_ADC_SAR__SW2 CYREG_SAR0_SW2
#define ADC_SAR_2_ADC_SAR__SW3 CYREG_SAR0_SW3
#define ADC_SAR_2_ADC_SAR__SW4 CYREG_SAR0_SW4
#define ADC_SAR_2_ADC_SAR__SW6 CYREG_SAR0_SW6
#define ADC_SAR_2_ADC_SAR__TR0 CYREG_SAR0_TR0
#define ADC_SAR_2_ADC_SAR__TRIM__TR0 CYREG_FLSHID_MFG_CFG_SAR0_TR0
#define ADC_SAR_2_ADC_SAR__TRIM__TR1 CYREG_FLSHID_MFG_CFG_SAR0_TR1
#define ADC_SAR_2_ADC_SAR__WRK0 CYREG_SAR0_WRK0
#define ADC_SAR_2_ADC_SAR__WRK1 CYREG_SAR0_WRK1

/* CapSense_ClockGen */
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__0__MASK 0x01u
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__0__POS 0
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB04_05_CTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB04_05_CTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__16BIT_MASK_MASK_REG CYREG_B1_UDB04_05_MSK
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB04_05_MSK
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__1__MASK 0x02u
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__1__POS 1
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__2__MASK 0x04u
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__2__POS 2
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__4__MASK 0x10u
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__4__POS 4
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__CONTROL_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__CONTROL_REG CYREG_B1_UDB04_CTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__CONTROL_ST_REG CYREG_B1_UDB04_ST_CTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__COUNT_REG CYREG_B1_UDB04_CTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__COUNT_ST_REG CYREG_B1_UDB04_ST_CTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__MASK 0x17u
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__PERIOD_REG CYREG_B1_UDB04_MSK
#define CapSense_ClockGen_AsyncCtrl_CtrlReg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define CapSense_ClockGen_ScanSpeed__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define CapSense_ClockGen_ScanSpeed__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define CapSense_ClockGen_ScanSpeed__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB05_06_CTL
#define CapSense_ClockGen_ScanSpeed__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define CapSense_ClockGen_ScanSpeed__16BIT_COUNT_COUNT_REG CYREG_B1_UDB05_06_CTL
#define CapSense_ClockGen_ScanSpeed__16BIT_MASK_MASK_REG CYREG_B1_UDB05_06_MSK
#define CapSense_ClockGen_ScanSpeed__16BIT_MASK_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define CapSense_ClockGen_ScanSpeed__16BIT_PERIOD_MASK_REG CYREG_B1_UDB05_06_MSK
#define CapSense_ClockGen_ScanSpeed__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define CapSense_ClockGen_ScanSpeed__CONTROL_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define CapSense_ClockGen_ScanSpeed__CONTROL_REG CYREG_B1_UDB05_CTL
#define CapSense_ClockGen_ScanSpeed__CONTROL_ST_REG CYREG_B1_UDB05_ST_CTL
#define CapSense_ClockGen_ScanSpeed__COUNT_REG CYREG_B1_UDB05_CTL
#define CapSense_ClockGen_ScanSpeed__COUNT_ST_REG CYREG_B1_UDB05_ST_CTL
#define CapSense_ClockGen_ScanSpeed__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define CapSense_ClockGen_ScanSpeed__PERIOD_REG CYREG_B1_UDB05_MSK
#define CapSense_ClockGen_ScanSpeed__PER_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_A0_REG CYREG_B1_UDB06_07_A0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_A1_REG CYREG_B1_UDB06_07_A1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_D0_REG CYREG_B1_UDB06_07_D0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_D1_REG CYREG_B1_UDB06_07_D1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB06_07_ACTL
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_F0_REG CYREG_B1_UDB06_07_F0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__16BIT_F1_REG CYREG_B1_UDB06_07_F1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__A0_A1_REG CYREG_B1_UDB06_A0_A1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__A0_REG CYREG_B1_UDB06_A0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__A1_REG CYREG_B1_UDB06_A1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__D0_D1_REG CYREG_B1_UDB06_D0_D1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__D0_REG CYREG_B1_UDB06_D0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__D1_REG CYREG_B1_UDB06_D1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__DP_AUX_CTL_REG CYREG_B1_UDB06_ACTL
#define CapSense_ClockGen_UDB_PrescalerDp_u0__F0_F1_REG CYREG_B1_UDB06_F0_F1
#define CapSense_ClockGen_UDB_PrescalerDp_u0__F0_REG CYREG_B1_UDB06_F0
#define CapSense_ClockGen_UDB_PrescalerDp_u0__F1_REG CYREG_B1_UDB06_F1
#define CapSense_ClockGen_sC16_PRSdp_u0__16BIT_A0_REG CYREG_B1_UDB04_05_A0
#define CapSense_ClockGen_sC16_PRSdp_u0__16BIT_A1_REG CYREG_B1_UDB04_05_A1
#define CapSense_ClockGen_sC16_PRSdp_u0__16BIT_D0_REG CYREG_B1_UDB04_05_D0
#define CapSense_ClockGen_sC16_PRSdp_u0__16BIT_D1_REG CYREG_B1_UDB04_05_D1
#define CapSense_ClockGen_sC16_PRSdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define CapSense_ClockGen_sC16_PRSdp_u0__16BIT_F0_REG CYREG_B1_UDB04_05_F0
#define CapSense_ClockGen_sC16_PRSdp_u0__16BIT_F1_REG CYREG_B1_UDB04_05_F1
#define CapSense_ClockGen_sC16_PRSdp_u0__A0_A1_REG CYREG_B1_UDB04_A0_A1
#define CapSense_ClockGen_sC16_PRSdp_u0__A0_REG CYREG_B1_UDB04_A0
#define CapSense_ClockGen_sC16_PRSdp_u0__A1_REG CYREG_B1_UDB04_A1
#define CapSense_ClockGen_sC16_PRSdp_u0__D0_D1_REG CYREG_B1_UDB04_D0_D1
#define CapSense_ClockGen_sC16_PRSdp_u0__D0_REG CYREG_B1_UDB04_D0
#define CapSense_ClockGen_sC16_PRSdp_u0__D1_REG CYREG_B1_UDB04_D1
#define CapSense_ClockGen_sC16_PRSdp_u0__DP_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define CapSense_ClockGen_sC16_PRSdp_u0__F0_F1_REG CYREG_B1_UDB04_F0_F1
#define CapSense_ClockGen_sC16_PRSdp_u0__F0_REG CYREG_B1_UDB04_F0
#define CapSense_ClockGen_sC16_PRSdp_u0__F1_REG CYREG_B1_UDB04_F1
#define CapSense_ClockGen_sC16_PRSdp_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define CapSense_ClockGen_sC16_PRSdp_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define CapSense_ClockGen_sC16_PRSdp_u1__16BIT_A0_REG CYREG_B1_UDB05_06_A0
#define CapSense_ClockGen_sC16_PRSdp_u1__16BIT_A1_REG CYREG_B1_UDB05_06_A1
#define CapSense_ClockGen_sC16_PRSdp_u1__16BIT_D0_REG CYREG_B1_UDB05_06_D0
#define CapSense_ClockGen_sC16_PRSdp_u1__16BIT_D1_REG CYREG_B1_UDB05_06_D1
#define CapSense_ClockGen_sC16_PRSdp_u1__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define CapSense_ClockGen_sC16_PRSdp_u1__16BIT_F0_REG CYREG_B1_UDB05_06_F0
#define CapSense_ClockGen_sC16_PRSdp_u1__16BIT_F1_REG CYREG_B1_UDB05_06_F1
#define CapSense_ClockGen_sC16_PRSdp_u1__A0_A1_REG CYREG_B1_UDB05_A0_A1
#define CapSense_ClockGen_sC16_PRSdp_u1__A0_REG CYREG_B1_UDB05_A0
#define CapSense_ClockGen_sC16_PRSdp_u1__A1_REG CYREG_B1_UDB05_A1
#define CapSense_ClockGen_sC16_PRSdp_u1__D0_D1_REG CYREG_B1_UDB05_D0_D1
#define CapSense_ClockGen_sC16_PRSdp_u1__D0_REG CYREG_B1_UDB05_D0
#define CapSense_ClockGen_sC16_PRSdp_u1__D1_REG CYREG_B1_UDB05_D1
#define CapSense_ClockGen_sC16_PRSdp_u1__DP_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define CapSense_ClockGen_sC16_PRSdp_u1__F0_F1_REG CYREG_B1_UDB05_F0_F1
#define CapSense_ClockGen_sC16_PRSdp_u1__F0_REG CYREG_B1_UDB05_F0
#define CapSense_ClockGen_sC16_PRSdp_u1__F1_REG CYREG_B1_UDB05_F1
#define CapSense_ClockGen_sC16_PRSdp_u1__MSK_DP_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define CapSense_ClockGen_sC16_PRSdp_u1__PER_DP_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL

/* CapSense_IntClock */
#define CapSense_IntClock__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define CapSense_IntClock__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define CapSense_IntClock__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define CapSense_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define CapSense_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define CapSense_IntClock__PM_ACT_MSK 0x01u
#define CapSense_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define CapSense_IntClock__PM_STBY_MSK 0x01u

/* Clock_AutoTrigger */
#define Clock_AutoTrigger__CFG0 CYREG_CLKDIST_DCFG4_CFG0
#define Clock_AutoTrigger__CFG1 CYREG_CLKDIST_DCFG4_CFG1
#define Clock_AutoTrigger__CFG2 CYREG_CLKDIST_DCFG4_CFG2
#define Clock_AutoTrigger__CFG2_SRC_SEL_MASK 0x07u
#define Clock_AutoTrigger__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_AutoTrigger__PM_ACT_MSK 0x10u
#define Clock_AutoTrigger__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_AutoTrigger__PM_STBY_MSK 0x10u

/* Reg_DigitalValues */
#define Reg_DigitalValues_Async_ctrl_reg__0__MASK 0x01u
#define Reg_DigitalValues_Async_ctrl_reg__0__POS 0
#define Reg_DigitalValues_Async_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB06_07_ACTL
#define Reg_DigitalValues_Async_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB06_07_CTL
#define Reg_DigitalValues_Async_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB06_07_CTL
#define Reg_DigitalValues_Async_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB06_07_CTL
#define Reg_DigitalValues_Async_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB06_07_CTL
#define Reg_DigitalValues_Async_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB06_07_MSK
#define Reg_DigitalValues_Async_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB06_07_MSK
#define Reg_DigitalValues_Async_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB06_07_MSK
#define Reg_DigitalValues_Async_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB06_07_MSK
#define Reg_DigitalValues_Async_ctrl_reg__1__MASK 0x02u
#define Reg_DigitalValues_Async_ctrl_reg__1__POS 1
#define Reg_DigitalValues_Async_ctrl_reg__2__MASK 0x04u
#define Reg_DigitalValues_Async_ctrl_reg__2__POS 2
#define Reg_DigitalValues_Async_ctrl_reg__3__MASK 0x08u
#define Reg_DigitalValues_Async_ctrl_reg__3__POS 3
#define Reg_DigitalValues_Async_ctrl_reg__4__MASK 0x10u
#define Reg_DigitalValues_Async_ctrl_reg__4__POS 4
#define Reg_DigitalValues_Async_ctrl_reg__5__MASK 0x20u
#define Reg_DigitalValues_Async_ctrl_reg__5__POS 5
#define Reg_DigitalValues_Async_ctrl_reg__6__MASK 0x40u
#define Reg_DigitalValues_Async_ctrl_reg__6__POS 6
#define Reg_DigitalValues_Async_ctrl_reg__7__MASK 0x80u
#define Reg_DigitalValues_Async_ctrl_reg__7__POS 7
#define Reg_DigitalValues_Async_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB06_ACTL
#define Reg_DigitalValues_Async_ctrl_reg__CONTROL_REG CYREG_B0_UDB06_CTL
#define Reg_DigitalValues_Async_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB06_ST_CTL
#define Reg_DigitalValues_Async_ctrl_reg__COUNT_REG CYREG_B0_UDB06_CTL
#define Reg_DigitalValues_Async_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB06_ST_CTL
#define Reg_DigitalValues_Async_ctrl_reg__MASK 0xFFu
#define Reg_DigitalValues_Async_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB06_MSK_ACTL
#define Reg_DigitalValues_Async_ctrl_reg__PERIOD_REG CYREG_B0_UDB06_MSK
#define Reg_DigitalValues_Async_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB06_MSK_ACTL

/* Reg_ResetMenuNext */
#define Reg_ResetMenuNext_Async_ctrl_reg__0__MASK 0x01u
#define Reg_ResetMenuNext_Async_ctrl_reg__0__POS 0
#define Reg_ResetMenuNext_Async_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define Reg_ResetMenuNext_Async_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB04_05_CTL
#define Reg_ResetMenuNext_Async_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB04_05_CTL
#define Reg_ResetMenuNext_Async_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB04_05_CTL
#define Reg_ResetMenuNext_Async_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB04_05_CTL
#define Reg_ResetMenuNext_Async_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB04_05_MSK
#define Reg_ResetMenuNext_Async_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB04_05_MSK
#define Reg_ResetMenuNext_Async_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB04_05_MSK
#define Reg_ResetMenuNext_Async_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB04_05_MSK
#define Reg_ResetMenuNext_Async_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define Reg_ResetMenuNext_Async_ctrl_reg__CONTROL_REG CYREG_B0_UDB04_CTL
#define Reg_ResetMenuNext_Async_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB04_ST_CTL
#define Reg_ResetMenuNext_Async_ctrl_reg__COUNT_REG CYREG_B0_UDB04_CTL
#define Reg_ResetMenuNext_Async_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB04_ST_CTL
#define Reg_ResetMenuNext_Async_ctrl_reg__MASK 0x01u
#define Reg_ResetMenuNext_Async_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define Reg_ResetMenuNext_Async_ctrl_reg__PERIOD_REG CYREG_B0_UDB04_MSK
#define Reg_ResetMenuNext_Async_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL

/* Reg_ResetMenuPrev */
#define Reg_ResetMenuPrev_Async_ctrl_reg__0__MASK 0x01u
#define Reg_ResetMenuPrev_Async_ctrl_reg__0__POS 0
#define Reg_ResetMenuPrev_Async_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB07_08_CTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB07_08_CTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB07_08_CTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB07_08_CTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB07_08_MSK
#define Reg_ResetMenuPrev_Async_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB07_08_MSK
#define Reg_ResetMenuPrev_Async_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB07_08_MSK
#define Reg_ResetMenuPrev_Async_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB07_08_MSK
#define Reg_ResetMenuPrev_Async_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__CONTROL_REG CYREG_B0_UDB07_CTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB07_ST_CTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__COUNT_REG CYREG_B0_UDB07_CTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB07_ST_CTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__MASK 0x01u
#define Reg_ResetMenuPrev_Async_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define Reg_ResetMenuPrev_Async_ctrl_reg__PERIOD_REG CYREG_B0_UDB07_MSK
#define Reg_ResetMenuPrev_Async_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL

/* Reg_TriggerConfig */
#define Reg_TriggerConfig_Async_ctrl_reg__0__MASK 0x01u
#define Reg_TriggerConfig_Async_ctrl_reg__0__POS 0
#define Reg_TriggerConfig_Async_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB00_01_ACTL
#define Reg_TriggerConfig_Async_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB00_01_CTL
#define Reg_TriggerConfig_Async_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB00_01_CTL
#define Reg_TriggerConfig_Async_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB00_01_CTL
#define Reg_TriggerConfig_Async_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB00_01_CTL
#define Reg_TriggerConfig_Async_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB00_01_MSK
#define Reg_TriggerConfig_Async_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB00_01_MSK
#define Reg_TriggerConfig_Async_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB00_01_MSK
#define Reg_TriggerConfig_Async_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB00_01_MSK
#define Reg_TriggerConfig_Async_ctrl_reg__1__MASK 0x02u
#define Reg_TriggerConfig_Async_ctrl_reg__1__POS 1
#define Reg_TriggerConfig_Async_ctrl_reg__2__MASK 0x04u
#define Reg_TriggerConfig_Async_ctrl_reg__2__POS 2
#define Reg_TriggerConfig_Async_ctrl_reg__3__MASK 0x08u
#define Reg_TriggerConfig_Async_ctrl_reg__3__POS 3
#define Reg_TriggerConfig_Async_ctrl_reg__4__MASK 0x10u
#define Reg_TriggerConfig_Async_ctrl_reg__4__POS 4
#define Reg_TriggerConfig_Async_ctrl_reg__5__MASK 0x20u
#define Reg_TriggerConfig_Async_ctrl_reg__5__POS 5
#define Reg_TriggerConfig_Async_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB00_ACTL
#define Reg_TriggerConfig_Async_ctrl_reg__CONTROL_REG CYREG_B0_UDB00_CTL
#define Reg_TriggerConfig_Async_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB00_ST_CTL
#define Reg_TriggerConfig_Async_ctrl_reg__COUNT_REG CYREG_B0_UDB00_CTL
#define Reg_TriggerConfig_Async_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB00_ST_CTL
#define Reg_TriggerConfig_Async_ctrl_reg__MASK 0x3Fu
#define Reg_TriggerConfig_Async_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB00_MSK_ACTL
#define Reg_TriggerConfig_Async_ctrl_reg__PERIOD_REG CYREG_B0_UDB00_MSK
#define Reg_TriggerConfig_Async_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB00_MSK_ACTL

/* VDAC8_Wave_viDAC8 */
#define VDAC8_Wave_viDAC8__CR0 CYREG_DAC0_CR0
#define VDAC8_Wave_viDAC8__CR1 CYREG_DAC0_CR1
#define VDAC8_Wave_viDAC8__D CYREG_DAC0_D
#define VDAC8_Wave_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC8_Wave_viDAC8__PM_ACT_MSK 0x01u
#define VDAC8_Wave_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC8_Wave_viDAC8__PM_STBY_MSK 0x01u
#define VDAC8_Wave_viDAC8__STROBE CYREG_DAC0_STROBE
#define VDAC8_Wave_viDAC8__SW0 CYREG_DAC0_SW0
#define VDAC8_Wave_viDAC8__SW2 CYREG_DAC0_SW2
#define VDAC8_Wave_viDAC8__SW3 CYREG_DAC0_SW3
#define VDAC8_Wave_viDAC8__SW4 CYREG_DAC0_SW4
#define VDAC8_Wave_viDAC8__TR CYREG_DAC0_TR
#define VDAC8_Wave_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC0_M1
#define VDAC8_Wave_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC0_M2
#define VDAC8_Wave_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC0_M3
#define VDAC8_Wave_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC0_M4
#define VDAC8_Wave_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC0_M5
#define VDAC8_Wave_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC0_M6
#define VDAC8_Wave_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC0_M7
#define VDAC8_Wave_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC0_M8
#define VDAC8_Wave_viDAC8__TRIM__TR CYREG_FLSHID_MFG_CFG_DAC0_TR
#define VDAC8_Wave_viDAC8__TST CYREG_DAC0_TST

/* ADC_Freq_theACLK */
#define ADC_Freq_theACLK__CFG0 CYREG_CLKDIST_ACFG1_CFG0
#define ADC_Freq_theACLK__CFG1 CYREG_CLKDIST_ACFG1_CFG1
#define ADC_Freq_theACLK__CFG2 CYREG_CLKDIST_ACFG1_CFG2
#define ADC_Freq_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_Freq_theACLK__CFG3 CYREG_CLKDIST_ACFG1_CFG3
#define ADC_Freq_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_Freq_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_Freq_theACLK__PM_ACT_MSK 0x02u
#define ADC_Freq_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_Freq_theACLK__PM_STBY_MSK 0x02u

/* ADC_SAR_1_Bypass */
#define ADC_SAR_1_Bypass__0__MASK 0x04u
#define ADC_SAR_1_Bypass__0__PC CYREG_PRT0_PC2
#define ADC_SAR_1_Bypass__0__PORT 0
#define ADC_SAR_1_Bypass__0__SHIFT 2
#define ADC_SAR_1_Bypass__AG CYREG_PRT0_AG
#define ADC_SAR_1_Bypass__AMUX CYREG_PRT0_AMUX
#define ADC_SAR_1_Bypass__BIE CYREG_PRT0_BIE
#define ADC_SAR_1_Bypass__BIT_MASK CYREG_PRT0_BIT_MASK
#define ADC_SAR_1_Bypass__BYP CYREG_PRT0_BYP
#define ADC_SAR_1_Bypass__CTL CYREG_PRT0_CTL
#define ADC_SAR_1_Bypass__DM0 CYREG_PRT0_DM0
#define ADC_SAR_1_Bypass__DM1 CYREG_PRT0_DM1
#define ADC_SAR_1_Bypass__DM2 CYREG_PRT0_DM2
#define ADC_SAR_1_Bypass__DR CYREG_PRT0_DR
#define ADC_SAR_1_Bypass__INP_DIS CYREG_PRT0_INP_DIS
#define ADC_SAR_1_Bypass__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define ADC_SAR_1_Bypass__LCD_EN CYREG_PRT0_LCD_EN
#define ADC_SAR_1_Bypass__MASK 0x04u
#define ADC_SAR_1_Bypass__PORT 0
#define ADC_SAR_1_Bypass__PRT CYREG_PRT0_PRT
#define ADC_SAR_1_Bypass__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define ADC_SAR_1_Bypass__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define ADC_SAR_1_Bypass__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define ADC_SAR_1_Bypass__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define ADC_SAR_1_Bypass__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define ADC_SAR_1_Bypass__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define ADC_SAR_1_Bypass__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define ADC_SAR_1_Bypass__PS CYREG_PRT0_PS
#define ADC_SAR_1_Bypass__SHIFT 2
#define ADC_SAR_1_Bypass__SLW CYREG_PRT0_SLW

/* ADC_SAR_2_Bypass */
#define ADC_SAR_2_Bypass__0__MASK 0x10u
#define ADC_SAR_2_Bypass__0__PC CYREG_PRT0_PC4
#define ADC_SAR_2_Bypass__0__PORT 0
#define ADC_SAR_2_Bypass__0__SHIFT 4
#define ADC_SAR_2_Bypass__AG CYREG_PRT0_AG
#define ADC_SAR_2_Bypass__AMUX CYREG_PRT0_AMUX
#define ADC_SAR_2_Bypass__BIE CYREG_PRT0_BIE
#define ADC_SAR_2_Bypass__BIT_MASK CYREG_PRT0_BIT_MASK
#define ADC_SAR_2_Bypass__BYP CYREG_PRT0_BYP
#define ADC_SAR_2_Bypass__CTL CYREG_PRT0_CTL
#define ADC_SAR_2_Bypass__DM0 CYREG_PRT0_DM0
#define ADC_SAR_2_Bypass__DM1 CYREG_PRT0_DM1
#define ADC_SAR_2_Bypass__DM2 CYREG_PRT0_DM2
#define ADC_SAR_2_Bypass__DR CYREG_PRT0_DR
#define ADC_SAR_2_Bypass__INP_DIS CYREG_PRT0_INP_DIS
#define ADC_SAR_2_Bypass__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define ADC_SAR_2_Bypass__LCD_EN CYREG_PRT0_LCD_EN
#define ADC_SAR_2_Bypass__MASK 0x10u
#define ADC_SAR_2_Bypass__PORT 0
#define ADC_SAR_2_Bypass__PRT CYREG_PRT0_PRT
#define ADC_SAR_2_Bypass__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define ADC_SAR_2_Bypass__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define ADC_SAR_2_Bypass__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define ADC_SAR_2_Bypass__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define ADC_SAR_2_Bypass__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define ADC_SAR_2_Bypass__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define ADC_SAR_2_Bypass__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define ADC_SAR_2_Bypass__PS CYREG_PRT0_PS
#define ADC_SAR_2_Bypass__SHIFT 4
#define ADC_SAR_2_Bypass__SLW CYREG_PRT0_SLW

/* CapSense_CmodCH0 */
#define CapSense_CmodCH0__0__MASK 0x10u
#define CapSense_CmodCH0__0__PC CYREG_PRT6_PC4
#define CapSense_CmodCH0__0__PORT 6
#define CapSense_CmodCH0__0__SHIFT 4
#define CapSense_CmodCH0__AG CYREG_PRT6_AG
#define CapSense_CmodCH0__AMUX CYREG_PRT6_AMUX
#define CapSense_CmodCH0__BIE CYREG_PRT6_BIE
#define CapSense_CmodCH0__BIT_MASK CYREG_PRT6_BIT_MASK
#define CapSense_CmodCH0__BYP CYREG_PRT6_BYP
#define CapSense_CmodCH0__CTL CYREG_PRT6_CTL
#define CapSense_CmodCH0__Cmod_CH0__MASK 0x10u
#define CapSense_CmodCH0__Cmod_CH0__PC CYREG_PRT6_PC4
#define CapSense_CmodCH0__Cmod_CH0__PORT 6
#define CapSense_CmodCH0__Cmod_CH0__SHIFT 4
#define CapSense_CmodCH0__DM0 CYREG_PRT6_DM0
#define CapSense_CmodCH0__DM1 CYREG_PRT6_DM1
#define CapSense_CmodCH0__DM2 CYREG_PRT6_DM2
#define CapSense_CmodCH0__DR CYREG_PRT6_DR
#define CapSense_CmodCH0__INP_DIS CYREG_PRT6_INP_DIS
#define CapSense_CmodCH0__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define CapSense_CmodCH0__LCD_EN CYREG_PRT6_LCD_EN
#define CapSense_CmodCH0__PORT 6
#define CapSense_CmodCH0__PRT CYREG_PRT6_PRT
#define CapSense_CmodCH0__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define CapSense_CmodCH0__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define CapSense_CmodCH0__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define CapSense_CmodCH0__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define CapSense_CmodCH0__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define CapSense_CmodCH0__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define CapSense_CmodCH0__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define CapSense_CmodCH0__PS CYREG_PRT6_PS
#define CapSense_CmodCH0__SLW CYREG_PRT6_SLW

/* CapSense_PortCH0 */
#define CapSense_PortCH0__0__MASK 0x01u
#define CapSense_PortCH0__0__PC CYREG_PRT5_PC0
#define CapSense_PortCH0__0__PORT 5
#define CapSense_PortCH0__0__SHIFT 0
#define CapSense_PortCH0__1__MASK 0x02u
#define CapSense_PortCH0__1__PC CYREG_PRT5_PC1
#define CapSense_PortCH0__1__PORT 5
#define CapSense_PortCH0__1__SHIFT 1
#define CapSense_PortCH0__2__MASK 0x04u
#define CapSense_PortCH0__2__PC CYREG_PRT5_PC2
#define CapSense_PortCH0__2__PORT 5
#define CapSense_PortCH0__2__SHIFT 2
#define CapSense_PortCH0__3__MASK 0x08u
#define CapSense_PortCH0__3__PC CYREG_PRT5_PC3
#define CapSense_PortCH0__3__PORT 5
#define CapSense_PortCH0__3__SHIFT 3
#define CapSense_PortCH0__4__MASK 0x10u
#define CapSense_PortCH0__4__PC CYREG_PRT5_PC4
#define CapSense_PortCH0__4__PORT 5
#define CapSense_PortCH0__4__SHIFT 4
#define CapSense_PortCH0__5__MASK 0x20u
#define CapSense_PortCH0__5__PC CYREG_PRT5_PC5
#define CapSense_PortCH0__5__PORT 5
#define CapSense_PortCH0__5__SHIFT 5
#define CapSense_PortCH0__6__MASK 0x40u
#define CapSense_PortCH0__6__PC CYREG_PRT5_PC6
#define CapSense_PortCH0__6__PORT 5
#define CapSense_PortCH0__6__SHIFT 6
#define CapSense_PortCH0__AG CYREG_PRT5_AG
#define CapSense_PortCH0__AMUX CYREG_PRT5_AMUX
#define CapSense_PortCH0__BIE CYREG_PRT5_BIE
#define CapSense_PortCH0__BIT_MASK CYREG_PRT5_BIT_MASK
#define CapSense_PortCH0__BYP CYREG_PRT5_BYP
#define CapSense_PortCH0__Bottom__BTN__MASK 0x40u
#define CapSense_PortCH0__Bottom__BTN__PC CYREG_PRT5_PC6
#define CapSense_PortCH0__Bottom__BTN__PORT 5
#define CapSense_PortCH0__Bottom__BTN__SHIFT 6
#define CapSense_PortCH0__CTL CYREG_PRT5_CTL
#define CapSense_PortCH0__DM0 CYREG_PRT5_DM0
#define CapSense_PortCH0__DM1 CYREG_PRT5_DM1
#define CapSense_PortCH0__DM2 CYREG_PRT5_DM2
#define CapSense_PortCH0__DR CYREG_PRT5_DR
#define CapSense_PortCH0__INP_DIS CYREG_PRT5_INP_DIS
#define CapSense_PortCH0__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define CapSense_PortCH0__LCD_EN CYREG_PRT5_LCD_EN
#define CapSense_PortCH0__PORT 5
#define CapSense_PortCH0__PRT CYREG_PRT5_PRT
#define CapSense_PortCH0__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define CapSense_PortCH0__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define CapSense_PortCH0__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define CapSense_PortCH0__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define CapSense_PortCH0__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define CapSense_PortCH0__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define CapSense_PortCH0__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define CapSense_PortCH0__PS CYREG_PRT5_PS
#define CapSense_PortCH0__SLW CYREG_PRT5_SLW
#define CapSense_PortCH0__Slider_e0__LS__MASK 0x01u
#define CapSense_PortCH0__Slider_e0__LS__PC CYREG_PRT5_PC0
#define CapSense_PortCH0__Slider_e0__LS__PORT 5
#define CapSense_PortCH0__Slider_e0__LS__SHIFT 0
#define CapSense_PortCH0__Slider_e1__LS__MASK 0x02u
#define CapSense_PortCH0__Slider_e1__LS__PC CYREG_PRT5_PC1
#define CapSense_PortCH0__Slider_e1__LS__PORT 5
#define CapSense_PortCH0__Slider_e1__LS__SHIFT 1
#define CapSense_PortCH0__Slider_e2__LS__MASK 0x04u
#define CapSense_PortCH0__Slider_e2__LS__PC CYREG_PRT5_PC2
#define CapSense_PortCH0__Slider_e2__LS__PORT 5
#define CapSense_PortCH0__Slider_e2__LS__SHIFT 2
#define CapSense_PortCH0__Slider_e3__LS__MASK 0x08u
#define CapSense_PortCH0__Slider_e3__LS__PC CYREG_PRT5_PC3
#define CapSense_PortCH0__Slider_e3__LS__PORT 5
#define CapSense_PortCH0__Slider_e3__LS__SHIFT 3
#define CapSense_PortCH0__Slider_e4__LS__MASK 0x10u
#define CapSense_PortCH0__Slider_e4__LS__PC CYREG_PRT5_PC4
#define CapSense_PortCH0__Slider_e4__LS__PORT 5
#define CapSense_PortCH0__Slider_e4__LS__SHIFT 4
#define CapSense_PortCH0__Top__BTN__MASK 0x20u
#define CapSense_PortCH0__Top__BTN__PC CYREG_PRT5_PC5
#define CapSense_PortCH0__Top__BTN__PORT 5
#define CapSense_PortCH0__Top__BTN__SHIFT 5

/* Comp_Sync_ctComp */
#define Comp_Sync_ctComp__CLK CYREG_CMP1_CLK
#define Comp_Sync_ctComp__CMP_MASK 0x02u
#define Comp_Sync_ctComp__CMP_NUMBER 1
#define Comp_Sync_ctComp__CR CYREG_CMP1_CR
#define Comp_Sync_ctComp__LUT__CR CYREG_LUT1_CR
#define Comp_Sync_ctComp__LUT__MSK CYREG_LUT_MSK
#define Comp_Sync_ctComp__LUT__MSK_MASK 0x02u
#define Comp_Sync_ctComp__LUT__MSK_SHIFT 1
#define Comp_Sync_ctComp__LUT__MX CYREG_LUT1_MX
#define Comp_Sync_ctComp__LUT__SR CYREG_LUT_SR
#define Comp_Sync_ctComp__LUT__SR_MASK 0x02u
#define Comp_Sync_ctComp__LUT__SR_SHIFT 1
#define Comp_Sync_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define Comp_Sync_ctComp__PM_ACT_MSK 0x04u
#define Comp_Sync_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define Comp_Sync_ctComp__PM_STBY_MSK 0x04u
#define Comp_Sync_ctComp__SW0 CYREG_CMP1_SW0
#define Comp_Sync_ctComp__SW2 CYREG_CMP1_SW2
#define Comp_Sync_ctComp__SW3 CYREG_CMP1_SW3
#define Comp_Sync_ctComp__SW4 CYREG_CMP1_SW4
#define Comp_Sync_ctComp__SW6 CYREG_CMP1_SW6
#define Comp_Sync_ctComp__TR CYREG_CMP1_TR
#define Comp_Sync_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP1_TR0
#define Comp_Sync_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP1_TR0_HS
#define Comp_Sync_ctComp__WRK CYREG_CMP_WRK
#define Comp_Sync_ctComp__WRK_MASK 0x02u
#define Comp_Sync_ctComp__WRK_SHIFT 1

/* Reg_TriggerReset */
#define Reg_TriggerReset_Async_ctrl_reg__0__MASK 0x01u
#define Reg_TriggerReset_Async_ctrl_reg__0__POS 0
#define Reg_TriggerReset_Async_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define Reg_TriggerReset_Async_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB02_03_CTL
#define Reg_TriggerReset_Async_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB02_03_CTL
#define Reg_TriggerReset_Async_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB02_03_CTL
#define Reg_TriggerReset_Async_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB02_03_CTL
#define Reg_TriggerReset_Async_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB02_03_MSK
#define Reg_TriggerReset_Async_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB02_03_MSK
#define Reg_TriggerReset_Async_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB02_03_MSK
#define Reg_TriggerReset_Async_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB02_03_MSK
#define Reg_TriggerReset_Async_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define Reg_TriggerReset_Async_ctrl_reg__CONTROL_REG CYREG_B0_UDB02_CTL
#define Reg_TriggerReset_Async_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB02_ST_CTL
#define Reg_TriggerReset_Async_ctrl_reg__COUNT_REG CYREG_B0_UDB02_CTL
#define Reg_TriggerReset_Async_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB02_ST_CTL
#define Reg_TriggerReset_Async_ctrl_reg__MASK 0x01u
#define Reg_TriggerReset_Async_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define Reg_TriggerReset_Async_ctrl_reg__PERIOD_REG CYREG_B0_UDB02_MSK
#define Reg_TriggerReset_Async_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL

/* CapSense_BufCH0 */
#define CapSense_BufCH0__CFG0 CYREG_CAPSL_CFG0
#define CapSense_BufCH0__CFG1 CYREG_CAPSL_CFG1
#define CapSense_BufCH0__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define CapSense_BufCH0__PM_ACT_MSK 0x10u
#define CapSense_BufCH0__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define CapSense_BufCH0__PM_STBY_MSK 0x10u

/* CapSense_IsrCH0 */
#define CapSense_IsrCH0__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define CapSense_IsrCH0__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define CapSense_IsrCH0__INTC_MASK 0x04u
#define CapSense_IsrCH0__INTC_NUMBER 2
#define CapSense_IsrCH0__INTC_PRIOR_NUM 7
#define CapSense_IsrCH0__INTC_PRIOR_REG CYREG_NVIC_PRI_2
#define CapSense_IsrCH0__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define CapSense_IsrCH0__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Opamp_Wave_ABuf */
#define Opamp_Wave_ABuf__CR CYREG_ABUF2_CR
#define Opamp_Wave_ABuf__MX CYREG_ABUF2_MX
#define Opamp_Wave_ABuf__NPUMP_ABUF_TR0 CYREG_NPUMP_ABUF_TR0
#define Opamp_Wave_ABuf__PM_ACT_CFG CYREG_PM_ACT_CFG4
#define Opamp_Wave_ABuf__PM_ACT_MSK 0x04u
#define Opamp_Wave_ABuf__PM_STBY_CFG CYREG_PM_STBY_CFG4
#define Opamp_Wave_ABuf__PM_STBY_MSK 0x04u
#define Opamp_Wave_ABuf__RSVD CYREG_ABUF2_RSVD
#define Opamp_Wave_ABuf__SW CYREG_ABUF2_SW
#define Opamp_Wave_ABuf__TR0 CYREG_ABUF2_TR0
#define Opamp_Wave_ABuf__TR1 CYREG_ABUF2_TR1

/* Reg_DigitalMask */
#define Reg_DigitalMask_Async_ctrl_reg__0__MASK 0x01u
#define Reg_DigitalMask_Async_ctrl_reg__0__POS 0
#define Reg_DigitalMask_Async_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB05_06_ACTL
#define Reg_DigitalMask_Async_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB05_06_CTL
#define Reg_DigitalMask_Async_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB05_06_CTL
#define Reg_DigitalMask_Async_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB05_06_CTL
#define Reg_DigitalMask_Async_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB05_06_CTL
#define Reg_DigitalMask_Async_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB05_06_MSK
#define Reg_DigitalMask_Async_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB05_06_MSK
#define Reg_DigitalMask_Async_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB05_06_MSK
#define Reg_DigitalMask_Async_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB05_06_MSK
#define Reg_DigitalMask_Async_ctrl_reg__1__MASK 0x02u
#define Reg_DigitalMask_Async_ctrl_reg__1__POS 1
#define Reg_DigitalMask_Async_ctrl_reg__2__MASK 0x04u
#define Reg_DigitalMask_Async_ctrl_reg__2__POS 2
#define Reg_DigitalMask_Async_ctrl_reg__3__MASK 0x08u
#define Reg_DigitalMask_Async_ctrl_reg__3__POS 3
#define Reg_DigitalMask_Async_ctrl_reg__4__MASK 0x10u
#define Reg_DigitalMask_Async_ctrl_reg__4__POS 4
#define Reg_DigitalMask_Async_ctrl_reg__5__MASK 0x20u
#define Reg_DigitalMask_Async_ctrl_reg__5__POS 5
#define Reg_DigitalMask_Async_ctrl_reg__6__MASK 0x40u
#define Reg_DigitalMask_Async_ctrl_reg__6__POS 6
#define Reg_DigitalMask_Async_ctrl_reg__7__MASK 0x80u
#define Reg_DigitalMask_Async_ctrl_reg__7__POS 7
#define Reg_DigitalMask_Async_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB05_ACTL
#define Reg_DigitalMask_Async_ctrl_reg__CONTROL_REG CYREG_B0_UDB05_CTL
#define Reg_DigitalMask_Async_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB05_ST_CTL
#define Reg_DigitalMask_Async_ctrl_reg__COUNT_REG CYREG_B0_UDB05_CTL
#define Reg_DigitalMask_Async_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB05_ST_CTL
#define Reg_DigitalMask_Async_ctrl_reg__MASK 0xFFu
#define Reg_DigitalMask_Async_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define Reg_DigitalMask_Async_ctrl_reg__PERIOD_REG CYREG_B0_UDB05_MSK
#define Reg_DigitalMask_Async_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL

/* Reg_MenuNextBtn */
#define Reg_MenuNextBtn_sts_sts_reg__0__MASK 0x01u
#define Reg_MenuNextBtn_sts_sts_reg__0__POS 0
#define Reg_MenuNextBtn_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB03_04_ACTL
#define Reg_MenuNextBtn_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB03_04_ST
#define Reg_MenuNextBtn_sts_sts_reg__MASK 0x01u
#define Reg_MenuNextBtn_sts_sts_reg__MASK_REG CYREG_B0_UDB03_MSK
#define Reg_MenuNextBtn_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB03_ACTL
#define Reg_MenuNextBtn_sts_sts_reg__STATUS_REG CYREG_B0_UDB03_ST

/* Reg_MenuPrevBtn */
#define Reg_MenuPrevBtn_sts_sts_reg__0__MASK 0x01u
#define Reg_MenuPrevBtn_sts_sts_reg__0__POS 0
#define Reg_MenuPrevBtn_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define Reg_MenuPrevBtn_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB07_08_ST
#define Reg_MenuPrevBtn_sts_sts_reg__MASK 0x01u
#define Reg_MenuPrevBtn_sts_sts_reg__MASK_REG CYREG_B0_UDB07_MSK
#define Reg_MenuPrevBtn_sts_sts_reg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define Reg_MenuPrevBtn_sts_sts_reg__PER_ST_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define Reg_MenuPrevBtn_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define Reg_MenuPrevBtn_sts_sts_reg__STATUS_CNT_REG CYREG_B0_UDB07_ST_CTL
#define Reg_MenuPrevBtn_sts_sts_reg__STATUS_CONTROL_REG CYREG_B0_UDB07_ST_CTL
#define Reg_MenuPrevBtn_sts_sts_reg__STATUS_REG CYREG_B0_UDB07_ST

/* VDAC8_1_viDAC8 */
#define VDAC8_1_viDAC8__CR0 CYREG_DAC3_CR0
#define VDAC8_1_viDAC8__CR1 CYREG_DAC3_CR1
#define VDAC8_1_viDAC8__D CYREG_DAC3_D
#define VDAC8_1_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC8_1_viDAC8__PM_ACT_MSK 0x08u
#define VDAC8_1_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC8_1_viDAC8__PM_STBY_MSK 0x08u
#define VDAC8_1_viDAC8__STROBE CYREG_DAC3_STROBE
#define VDAC8_1_viDAC8__SW0 CYREG_DAC3_SW0
#define VDAC8_1_viDAC8__SW2 CYREG_DAC3_SW2
#define VDAC8_1_viDAC8__SW3 CYREG_DAC3_SW3
#define VDAC8_1_viDAC8__SW4 CYREG_DAC3_SW4
#define VDAC8_1_viDAC8__TR CYREG_DAC3_TR
#define VDAC8_1_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC3_M1
#define VDAC8_1_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC3_M2
#define VDAC8_1_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC3_M3
#define VDAC8_1_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC3_M4
#define VDAC8_1_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC3_M5
#define VDAC8_1_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC3_M6
#define VDAC8_1_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC3_M7
#define VDAC8_1_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC3_M8
#define VDAC8_1_viDAC8__TRIM__TR CYREG_FLSHID_MFG_CFG_DAC3_TR
#define VDAC8_1_viDAC8__TST CYREG_DAC3_TST

/* VDAC8_2_viDAC8 */
#define VDAC8_2_viDAC8__CR0 CYREG_DAC2_CR0
#define VDAC8_2_viDAC8__CR1 CYREG_DAC2_CR1
#define VDAC8_2_viDAC8__D CYREG_DAC2_D
#define VDAC8_2_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC8_2_viDAC8__PM_ACT_MSK 0x04u
#define VDAC8_2_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC8_2_viDAC8__PM_STBY_MSK 0x04u
#define VDAC8_2_viDAC8__STROBE CYREG_DAC2_STROBE
#define VDAC8_2_viDAC8__SW0 CYREG_DAC2_SW0
#define VDAC8_2_viDAC8__SW2 CYREG_DAC2_SW2
#define VDAC8_2_viDAC8__SW3 CYREG_DAC2_SW3
#define VDAC8_2_viDAC8__SW4 CYREG_DAC2_SW4
#define VDAC8_2_viDAC8__TR CYREG_DAC2_TR
#define VDAC8_2_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC2_M1
#define VDAC8_2_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC2_M2
#define VDAC8_2_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC2_M3
#define VDAC8_2_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC2_M4
#define VDAC8_2_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC2_M5
#define VDAC8_2_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC2_M6
#define VDAC8_2_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC2_M7
#define VDAC8_2_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC2_M8
#define VDAC8_2_viDAC8__TRIM__TR CYREG_FLSHID_MFG_CFG_DAC2_TR
#define VDAC8_2_viDAC8__TST CYREG_DAC2_TST

/* ADC_Freq_DSM2 */
#define ADC_Freq_DSM2__BUF0 CYREG_DSM0_BUF0
#define ADC_Freq_DSM2__BUF1 CYREG_DSM0_BUF1
#define ADC_Freq_DSM2__BUF2 CYREG_DSM0_BUF2
#define ADC_Freq_DSM2__BUF3 CYREG_DSM0_BUF3
#define ADC_Freq_DSM2__CLK CYREG_DSM0_CLK
#define ADC_Freq_DSM2__CR0 CYREG_DSM0_CR0
#define ADC_Freq_DSM2__CR1 CYREG_DSM0_CR1
#define ADC_Freq_DSM2__CR10 CYREG_DSM0_CR10
#define ADC_Freq_DSM2__CR11 CYREG_DSM0_CR11
#define ADC_Freq_DSM2__CR12 CYREG_DSM0_CR12
#define ADC_Freq_DSM2__CR13 CYREG_DSM0_CR13
#define ADC_Freq_DSM2__CR14 CYREG_DSM0_CR14
#define ADC_Freq_DSM2__CR15 CYREG_DSM0_CR15
#define ADC_Freq_DSM2__CR16 CYREG_DSM0_CR16
#define ADC_Freq_DSM2__CR17 CYREG_DSM0_CR17
#define ADC_Freq_DSM2__CR2 CYREG_DSM0_CR2
#define ADC_Freq_DSM2__CR3 CYREG_DSM0_CR3
#define ADC_Freq_DSM2__CR4 CYREG_DSM0_CR4
#define ADC_Freq_DSM2__CR5 CYREG_DSM0_CR5
#define ADC_Freq_DSM2__CR6 CYREG_DSM0_CR6
#define ADC_Freq_DSM2__CR7 CYREG_DSM0_CR7
#define ADC_Freq_DSM2__CR8 CYREG_DSM0_CR8
#define ADC_Freq_DSM2__CR9 CYREG_DSM0_CR9
#define ADC_Freq_DSM2__DEM0 CYREG_DSM0_DEM0
#define ADC_Freq_DSM2__DEM1 CYREG_DSM0_DEM1
#define ADC_Freq_DSM2__MISC CYREG_DSM0_MISC
#define ADC_Freq_DSM2__OUT0 CYREG_DSM0_OUT0
#define ADC_Freq_DSM2__OUT1 CYREG_DSM0_OUT1
#define ADC_Freq_DSM2__REF0 CYREG_DSM0_REF0
#define ADC_Freq_DSM2__REF1 CYREG_DSM0_REF1
#define ADC_Freq_DSM2__REF2 CYREG_DSM0_REF2
#define ADC_Freq_DSM2__REF3 CYREG_DSM0_REF3
#define ADC_Freq_DSM2__RSVD1 CYREG_DSM0_RSVD1
#define ADC_Freq_DSM2__SW0 CYREG_DSM0_SW0
#define ADC_Freq_DSM2__SW2 CYREG_DSM0_SW2
#define ADC_Freq_DSM2__SW3 CYREG_DSM0_SW3
#define ADC_Freq_DSM2__SW4 CYREG_DSM0_SW4
#define ADC_Freq_DSM2__SW6 CYREG_DSM0_SW6
#define ADC_Freq_DSM2__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_Freq_DSM2__TST0 CYREG_DSM0_TST0
#define ADC_Freq_DSM2__TST1 CYREG_DSM0_TST1

/* ADC_SAR_1_IRQ */
#define ADC_SAR_1_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_SAR_1_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_SAR_1_IRQ__INTC_MASK 0x01u
#define ADC_SAR_1_IRQ__INTC_NUMBER 0
#define ADC_SAR_1_IRQ__INTC_PRIOR_NUM 7
#define ADC_SAR_1_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define ADC_SAR_1_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_SAR_1_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* ADC_SAR_2_IRQ */
#define ADC_SAR_2_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_SAR_2_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_SAR_2_IRQ__INTC_MASK 0x02u
#define ADC_SAR_2_IRQ__INTC_NUMBER 1
#define ADC_SAR_2_IRQ__INTC_PRIOR_NUM 7
#define ADC_SAR_2_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_1
#define ADC_SAR_2_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_SAR_2_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Comp_1_ctComp */
#define Comp_1_ctComp__CLK CYREG_CMP3_CLK
#define Comp_1_ctComp__CMP_MASK 0x08u
#define Comp_1_ctComp__CMP_NUMBER 3
#define Comp_1_ctComp__CR CYREG_CMP3_CR
#define Comp_1_ctComp__LUT__CR CYREG_LUT3_CR
#define Comp_1_ctComp__LUT__MSK CYREG_LUT_MSK
#define Comp_1_ctComp__LUT__MSK_MASK 0x08u
#define Comp_1_ctComp__LUT__MSK_SHIFT 3
#define Comp_1_ctComp__LUT__MX CYREG_LUT3_MX
#define Comp_1_ctComp__LUT__SR CYREG_LUT_SR
#define Comp_1_ctComp__LUT__SR_MASK 0x08u
#define Comp_1_ctComp__LUT__SR_SHIFT 3
#define Comp_1_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define Comp_1_ctComp__PM_ACT_MSK 0x08u
#define Comp_1_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define Comp_1_ctComp__PM_STBY_MSK 0x08u
#define Comp_1_ctComp__SW0 CYREG_CMP3_SW0
#define Comp_1_ctComp__SW2 CYREG_CMP3_SW2
#define Comp_1_ctComp__SW3 CYREG_CMP3_SW3
#define Comp_1_ctComp__SW4 CYREG_CMP3_SW4
#define Comp_1_ctComp__SW6 CYREG_CMP3_SW6
#define Comp_1_ctComp__TR CYREG_CMP3_TR
#define Comp_1_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP3_TR0
#define Comp_1_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP3_TR0_HS
#define Comp_1_ctComp__WRK CYREG_CMP_WRK
#define Comp_1_ctComp__WRK_MASK 0x08u
#define Comp_1_ctComp__WRK_SHIFT 3

/* Comp_2_ctComp */
#define Comp_2_ctComp__CLK CYREG_CMP2_CLK
#define Comp_2_ctComp__CMP_MASK 0x04u
#define Comp_2_ctComp__CMP_NUMBER 2
#define Comp_2_ctComp__CR CYREG_CMP2_CR
#define Comp_2_ctComp__LUT__CR CYREG_LUT2_CR
#define Comp_2_ctComp__LUT__MSK CYREG_LUT_MSK
#define Comp_2_ctComp__LUT__MSK_MASK 0x04u
#define Comp_2_ctComp__LUT__MSK_SHIFT 2
#define Comp_2_ctComp__LUT__MX CYREG_LUT2_MX
#define Comp_2_ctComp__LUT__SR CYREG_LUT_SR
#define Comp_2_ctComp__LUT__SR_MASK 0x04u
#define Comp_2_ctComp__LUT__SR_SHIFT 2
#define Comp_2_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define Comp_2_ctComp__PM_ACT_MSK 0x02u
#define Comp_2_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define Comp_2_ctComp__PM_STBY_MSK 0x02u
#define Comp_2_ctComp__SW0 CYREG_CMP2_SW0
#define Comp_2_ctComp__SW2 CYREG_CMP2_SW2
#define Comp_2_ctComp__SW3 CYREG_CMP2_SW3
#define Comp_2_ctComp__SW4 CYREG_CMP2_SW4
#define Comp_2_ctComp__SW6 CYREG_CMP2_SW6
#define Comp_2_ctComp__TR CYREG_CMP2_TR
#define Comp_2_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP2_TR0
#define Comp_2_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP2_TR0_HS
#define Comp_2_ctComp__WRK CYREG_CMP_WRK
#define Comp_2_ctComp__WRK_MASK 0x04u
#define Comp_2_ctComp__WRK_SHIFT 2

/* UART_IntClock */
#define UART_IntClock__CFG0 CYREG_CLKDIST_DCFG2_CFG0
#define UART_IntClock__CFG1 CYREG_CLKDIST_DCFG2_CFG1
#define UART_IntClock__CFG2 CYREG_CLKDIST_DCFG2_CFG2
#define UART_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define UART_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define UART_IntClock__PM_ACT_MSK 0x04u
#define UART_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define UART_IntClock__PM_STBY_MSK 0x04u

/* ADC_Freq_DEC */
#define ADC_Freq_DEC__COHER CYREG_DEC_COHER
#define ADC_Freq_DEC__CR CYREG_DEC_CR
#define ADC_Freq_DEC__DR1 CYREG_DEC_DR1
#define ADC_Freq_DEC__DR2 CYREG_DEC_DR2
#define ADC_Freq_DEC__DR2H CYREG_DEC_DR2H
#define ADC_Freq_DEC__GCOR CYREG_DEC_GCOR
#define ADC_Freq_DEC__GCORH CYREG_DEC_GCORH
#define ADC_Freq_DEC__GVAL CYREG_DEC_GVAL
#define ADC_Freq_DEC__OCOR CYREG_DEC_OCOR
#define ADC_Freq_DEC__OCORH CYREG_DEC_OCORH
#define ADC_Freq_DEC__OCORM CYREG_DEC_OCORM
#define ADC_Freq_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_Freq_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_Freq_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_Freq_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_Freq_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_Freq_DEC__PM_ACT_MSK 0x01u
#define ADC_Freq_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_Freq_DEC__PM_STBY_MSK 0x01u
#define ADC_Freq_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_Freq_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_Freq_DEC__SR CYREG_DEC_SR
#define ADC_Freq_DEC__TRIM__16H CYREG_FLSHID_CUST_TABLES_DEC_16H
#define ADC_Freq_DEC__TRIM__16L CYREG_FLSHID_CUST_TABLES_DEC_16L
#define ADC_Freq_DEC__TRIM__1H CYREG_FLSHID_CUST_TABLES_DEC_1H
#define ADC_Freq_DEC__TRIM__1L CYREG_FLSHID_CUST_TABLES_DEC_1L
#define ADC_Freq_DEC__TRIM__4H CYREG_FLSHID_CUST_TABLES_DEC_4H
#define ADC_Freq_DEC__TRIM__4L CYREG_FLSHID_CUST_TABLES_DEC_4L
#define ADC_Freq_DEC__TRIM__P25H CYREG_FLSHID_CUST_TABLES_DEC_P25H
#define ADC_Freq_DEC__TRIM__P25L CYREG_FLSHID_CUST_TABLES_DEC_P25L

/* ADC_Freq_IRQ */
#define ADC_Freq_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_Freq_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_Freq_IRQ__INTC_MASK 0x20000000u
#define ADC_Freq_IRQ__INTC_NUMBER 29
#define ADC_Freq_IRQ__INTC_PRIOR_NUM 7
#define ADC_Freq_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_29
#define ADC_Freq_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_Freq_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Clock_Button */
#define Clock_Button__CFG0 CYREG_CLKDIST_DCFG5_CFG0
#define Clock_Button__CFG1 CYREG_CLKDIST_DCFG5_CFG1
#define Clock_Button__CFG2 CYREG_CLKDIST_DCFG5_CFG2
#define Clock_Button__CFG2_SRC_SEL_MASK 0x07u
#define Clock_Button__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_Button__PM_ACT_MSK 0x20u
#define Clock_Button__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_Button__PM_STBY_MSK 0x20u

/* GLCD_Control */
#define GLCD_Control__0__MASK 0x01u
#define GLCD_Control__0__PC CYREG_PRT12_PC0
#define GLCD_Control__0__PORT 12
#define GLCD_Control__0__SHIFT 0
#define GLCD_Control__1__MASK 0x02u
#define GLCD_Control__1__PC CYREG_PRT12_PC1
#define GLCD_Control__1__PORT 12
#define GLCD_Control__1__SHIFT 1
#define GLCD_Control__2__MASK 0x04u
#define GLCD_Control__2__PC CYREG_PRT12_PC2
#define GLCD_Control__2__PORT 12
#define GLCD_Control__2__SHIFT 2
#define GLCD_Control__3__MASK 0x08u
#define GLCD_Control__3__PC CYREG_PRT12_PC3
#define GLCD_Control__3__PORT 12
#define GLCD_Control__3__SHIFT 3
#define GLCD_Control__AG CYREG_PRT12_AG
#define GLCD_Control__BIE CYREG_PRT12_BIE
#define GLCD_Control__BIT_MASK CYREG_PRT12_BIT_MASK
#define GLCD_Control__BYP CYREG_PRT12_BYP
#define GLCD_Control__CS__MASK 0x08u
#define GLCD_Control__CS__PC CYREG_PRT12_PC3
#define GLCD_Control__CS__PORT 12
#define GLCD_Control__CS__SHIFT 3
#define GLCD_Control__DM0 CYREG_PRT12_DM0
#define GLCD_Control__DM1 CYREG_PRT12_DM1
#define GLCD_Control__DM2 CYREG_PRT12_DM2
#define GLCD_Control__DR CYREG_PRT12_DR
#define GLCD_Control__E__MASK 0x04u
#define GLCD_Control__E__PC CYREG_PRT12_PC2
#define GLCD_Control__E__PORT 12
#define GLCD_Control__E__SHIFT 2
#define GLCD_Control__INP_DIS CYREG_PRT12_INP_DIS
#define GLCD_Control__MASK 0x0Fu
#define GLCD_Control__PORT 12
#define GLCD_Control__PRT CYREG_PRT12_PRT
#define GLCD_Control__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define GLCD_Control__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define GLCD_Control__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define GLCD_Control__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define GLCD_Control__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define GLCD_Control__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define GLCD_Control__PS CYREG_PRT12_PS
#define GLCD_Control__RS__MASK 0x01u
#define GLCD_Control__RS__PC CYREG_PRT12_PC0
#define GLCD_Control__RS__PORT 12
#define GLCD_Control__RS__SHIFT 0
#define GLCD_Control__RW__MASK 0x02u
#define GLCD_Control__RW__PC CYREG_PRT12_PC1
#define GLCD_Control__RW__PORT 12
#define GLCD_Control__RW__SHIFT 1
#define GLCD_Control__SHIFT 0
#define GLCD_Control__SIO_CFG CYREG_PRT12_SIO_CFG
#define GLCD_Control__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define GLCD_Control__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define GLCD_Control__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define GLCD_Control__SLW CYREG_PRT12_SLW

/* SW_Menu_Next */
#define SW_Menu_Next__0__MASK 0x20u
#define SW_Menu_Next__0__PC CYREG_PRT15_PC5
#define SW_Menu_Next__0__PORT 15
#define SW_Menu_Next__0__SHIFT 5
#define SW_Menu_Next__AG CYREG_PRT15_AG
#define SW_Menu_Next__AMUX CYREG_PRT15_AMUX
#define SW_Menu_Next__BIE CYREG_PRT15_BIE
#define SW_Menu_Next__BIT_MASK CYREG_PRT15_BIT_MASK
#define SW_Menu_Next__BYP CYREG_PRT15_BYP
#define SW_Menu_Next__CTL CYREG_PRT15_CTL
#define SW_Menu_Next__DM0 CYREG_PRT15_DM0
#define SW_Menu_Next__DM1 CYREG_PRT15_DM1
#define SW_Menu_Next__DM2 CYREG_PRT15_DM2
#define SW_Menu_Next__DR CYREG_PRT15_DR
#define SW_Menu_Next__INP_DIS CYREG_PRT15_INP_DIS
#define SW_Menu_Next__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define SW_Menu_Next__LCD_EN CYREG_PRT15_LCD_EN
#define SW_Menu_Next__MASK 0x20u
#define SW_Menu_Next__PORT 15
#define SW_Menu_Next__PRT CYREG_PRT15_PRT
#define SW_Menu_Next__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define SW_Menu_Next__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define SW_Menu_Next__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define SW_Menu_Next__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define SW_Menu_Next__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define SW_Menu_Next__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define SW_Menu_Next__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define SW_Menu_Next__PS CYREG_PRT15_PS
#define SW_Menu_Next__SHIFT 5
#define SW_Menu_Next__SLW CYREG_PRT15_SLW

/* SW_Menu_Prev */
#define SW_Menu_Prev__0__MASK 0x02u
#define SW_Menu_Prev__0__PC CYREG_PRT6_PC1
#define SW_Menu_Prev__0__PORT 6
#define SW_Menu_Prev__0__SHIFT 1
#define SW_Menu_Prev__AG CYREG_PRT6_AG
#define SW_Menu_Prev__AMUX CYREG_PRT6_AMUX
#define SW_Menu_Prev__BIE CYREG_PRT6_BIE
#define SW_Menu_Prev__BIT_MASK CYREG_PRT6_BIT_MASK
#define SW_Menu_Prev__BYP CYREG_PRT6_BYP
#define SW_Menu_Prev__CTL CYREG_PRT6_CTL
#define SW_Menu_Prev__DM0 CYREG_PRT6_DM0
#define SW_Menu_Prev__DM1 CYREG_PRT6_DM1
#define SW_Menu_Prev__DM2 CYREG_PRT6_DM2
#define SW_Menu_Prev__DR CYREG_PRT6_DR
#define SW_Menu_Prev__INP_DIS CYREG_PRT6_INP_DIS
#define SW_Menu_Prev__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define SW_Menu_Prev__LCD_EN CYREG_PRT6_LCD_EN
#define SW_Menu_Prev__MASK 0x02u
#define SW_Menu_Prev__PORT 6
#define SW_Menu_Prev__PRT CYREG_PRT6_PRT
#define SW_Menu_Prev__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define SW_Menu_Prev__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define SW_Menu_Prev__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define SW_Menu_Prev__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define SW_Menu_Prev__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define SW_Menu_Prev__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define SW_Menu_Prev__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define SW_Menu_Prev__PS CYREG_PRT6_PS
#define SW_Menu_Prev__SHIFT 1
#define SW_Menu_Prev__SLW CYREG_PRT6_SLW

/* isr_trigger */
#define isr_trigger__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define isr_trigger__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define isr_trigger__INTC_MASK 0x10u
#define isr_trigger__INTC_NUMBER 4
#define isr_trigger__INTC_PRIOR_NUM 5
#define isr_trigger__INTC_PRIOR_REG CYREG_NVIC_PRI_4
#define isr_trigger__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define isr_trigger__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* Clock_Sync */
#define Clock_Sync__CFG0 CYREG_CLKDIST_DCFG3_CFG0
#define Clock_Sync__CFG1 CYREG_CLKDIST_DCFG3_CFG1
#define Clock_Sync__CFG2 CYREG_CLKDIST_DCFG3_CFG2
#define Clock_Sync__CFG2_SRC_SEL_MASK 0x07u
#define Clock_Sync__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_Sync__PM_ACT_MSK 0x08u
#define Clock_Sync__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_Sync__PM_STBY_MSK 0x08u

/* UART_BUART */
#define UART_BUART_sRX_RxBitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define UART_BUART_sRX_RxBitCounter_ST__16BIT_STATUS_REG CYREG_B1_UDB07_08_ST
#define UART_BUART_sRX_RxBitCounter_ST__MASK_REG CYREG_B1_UDB07_MSK
#define UART_BUART_sRX_RxBitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define UART_BUART_sRX_RxBitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define UART_BUART_sRX_RxBitCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define UART_BUART_sRX_RxBitCounter_ST__STATUS_CNT_REG CYREG_B1_UDB07_ST_CTL
#define UART_BUART_sRX_RxBitCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB07_ST_CTL
#define UART_BUART_sRX_RxBitCounter_ST__STATUS_REG CYREG_B1_UDB07_ST
#define UART_BUART_sRX_RxBitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define UART_BUART_sRX_RxBitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define UART_BUART_sRX_RxBitCounter__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB07_08_CTL
#define UART_BUART_sRX_RxBitCounter__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define UART_BUART_sRX_RxBitCounter__16BIT_COUNT_COUNT_REG CYREG_B1_UDB07_08_CTL
#define UART_BUART_sRX_RxBitCounter__16BIT_MASK_MASK_REG CYREG_B1_UDB07_08_MSK
#define UART_BUART_sRX_RxBitCounter__16BIT_MASK_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define UART_BUART_sRX_RxBitCounter__16BIT_PERIOD_MASK_REG CYREG_B1_UDB07_08_MSK
#define UART_BUART_sRX_RxBitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define UART_BUART_sRX_RxBitCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define UART_BUART_sRX_RxBitCounter__CONTROL_REG CYREG_B1_UDB07_CTL
#define UART_BUART_sRX_RxBitCounter__CONTROL_ST_REG CYREG_B1_UDB07_ST_CTL
#define UART_BUART_sRX_RxBitCounter__COUNT_REG CYREG_B1_UDB07_CTL
#define UART_BUART_sRX_RxBitCounter__COUNT_ST_REG CYREG_B1_UDB07_ST_CTL
#define UART_BUART_sRX_RxBitCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define UART_BUART_sRX_RxBitCounter__PERIOD_REG CYREG_B1_UDB07_MSK
#define UART_BUART_sRX_RxBitCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define UART_BUART_sRX_RxShifter_u0__16BIT_A0_REG CYREG_B0_UDB02_03_A0
#define UART_BUART_sRX_RxShifter_u0__16BIT_A1_REG CYREG_B0_UDB02_03_A1
#define UART_BUART_sRX_RxShifter_u0__16BIT_D0_REG CYREG_B0_UDB02_03_D0
#define UART_BUART_sRX_RxShifter_u0__16BIT_D1_REG CYREG_B0_UDB02_03_D1
#define UART_BUART_sRX_RxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define UART_BUART_sRX_RxShifter_u0__16BIT_F0_REG CYREG_B0_UDB02_03_F0
#define UART_BUART_sRX_RxShifter_u0__16BIT_F1_REG CYREG_B0_UDB02_03_F1
#define UART_BUART_sRX_RxShifter_u0__A0_A1_REG CYREG_B0_UDB02_A0_A1
#define UART_BUART_sRX_RxShifter_u0__A0_REG CYREG_B0_UDB02_A0
#define UART_BUART_sRX_RxShifter_u0__A1_REG CYREG_B0_UDB02_A1
#define UART_BUART_sRX_RxShifter_u0__D0_D1_REG CYREG_B0_UDB02_D0_D1
#define UART_BUART_sRX_RxShifter_u0__D0_REG CYREG_B0_UDB02_D0
#define UART_BUART_sRX_RxShifter_u0__D1_REG CYREG_B0_UDB02_D1
#define UART_BUART_sRX_RxShifter_u0__DP_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define UART_BUART_sRX_RxShifter_u0__F0_F1_REG CYREG_B0_UDB02_F0_F1
#define UART_BUART_sRX_RxShifter_u0__F0_REG CYREG_B0_UDB02_F0
#define UART_BUART_sRX_RxShifter_u0__F1_REG CYREG_B0_UDB02_F1
#define UART_BUART_sRX_RxShifter_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define UART_BUART_sRX_RxShifter_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define UART_BUART_sRX_RxSts__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB06_07_ACTL
#define UART_BUART_sRX_RxSts__16BIT_STATUS_REG CYREG_B1_UDB06_07_ST
#define UART_BUART_sRX_RxSts__3__MASK 0x08u
#define UART_BUART_sRX_RxSts__3__POS 3
#define UART_BUART_sRX_RxSts__4__MASK 0x10u
#define UART_BUART_sRX_RxSts__4__POS 4
#define UART_BUART_sRX_RxSts__5__MASK 0x20u
#define UART_BUART_sRX_RxSts__5__POS 5
#define UART_BUART_sRX_RxSts__MASK 0x38u
#define UART_BUART_sRX_RxSts__MASK_REG CYREG_B1_UDB06_MSK
#define UART_BUART_sRX_RxSts__STATUS_AUX_CTL_REG CYREG_B1_UDB06_ACTL
#define UART_BUART_sRX_RxSts__STATUS_REG CYREG_B1_UDB06_ST
#define UART_BUART_sTX_TxShifter_u0__16BIT_A0_REG CYREG_B1_UDB07_08_A0
#define UART_BUART_sTX_TxShifter_u0__16BIT_A1_REG CYREG_B1_UDB07_08_A1
#define UART_BUART_sTX_TxShifter_u0__16BIT_D0_REG CYREG_B1_UDB07_08_D0
#define UART_BUART_sTX_TxShifter_u0__16BIT_D1_REG CYREG_B1_UDB07_08_D1
#define UART_BUART_sTX_TxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define UART_BUART_sTX_TxShifter_u0__16BIT_F0_REG CYREG_B1_UDB07_08_F0
#define UART_BUART_sTX_TxShifter_u0__16BIT_F1_REG CYREG_B1_UDB07_08_F1
#define UART_BUART_sTX_TxShifter_u0__A0_A1_REG CYREG_B1_UDB07_A0_A1
#define UART_BUART_sTX_TxShifter_u0__A0_REG CYREG_B1_UDB07_A0
#define UART_BUART_sTX_TxShifter_u0__A1_REG CYREG_B1_UDB07_A1
#define UART_BUART_sTX_TxShifter_u0__D0_D1_REG CYREG_B1_UDB07_D0_D1
#define UART_BUART_sTX_TxShifter_u0__D0_REG CYREG_B1_UDB07_D0
#define UART_BUART_sTX_TxShifter_u0__D1_REG CYREG_B1_UDB07_D1
#define UART_BUART_sTX_TxShifter_u0__DP_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define UART_BUART_sTX_TxShifter_u0__F0_F1_REG CYREG_B1_UDB07_F0_F1
#define UART_BUART_sTX_TxShifter_u0__F0_REG CYREG_B1_UDB07_F0
#define UART_BUART_sTX_TxShifter_u0__F1_REG CYREG_B1_UDB07_F1
#define UART_BUART_sTX_TxShifter_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define UART_BUART_sTX_TxShifter_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define UART_BUART_sTX_TxSts__0__MASK 0x01u
#define UART_BUART_sTX_TxSts__0__POS 0
#define UART_BUART_sTX_TxSts__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB08_09_ACTL
#define UART_BUART_sTX_TxSts__16BIT_STATUS_REG CYREG_B1_UDB08_09_ST
#define UART_BUART_sTX_TxSts__1__MASK 0x02u
#define UART_BUART_sTX_TxSts__1__POS 1
#define UART_BUART_sTX_TxSts__2__MASK 0x04u
#define UART_BUART_sTX_TxSts__2__POS 2
#define UART_BUART_sTX_TxSts__3__MASK 0x08u
#define UART_BUART_sTX_TxSts__3__POS 3
#define UART_BUART_sTX_TxSts__MASK 0x0Fu
#define UART_BUART_sTX_TxSts__MASK_REG CYREG_B1_UDB08_MSK
#define UART_BUART_sTX_TxSts__STATUS_AUX_CTL_REG CYREG_B1_UDB08_ACTL
#define UART_BUART_sTX_TxSts__STATUS_REG CYREG_B1_UDB08_ST
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A0_REG CYREG_B0_UDB07_08_A0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A1_REG CYREG_B0_UDB07_08_A1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D0_REG CYREG_B0_UDB07_08_D0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D1_REG CYREG_B0_UDB07_08_D1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F0_REG CYREG_B0_UDB07_08_F0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F1_REG CYREG_B0_UDB07_08_F1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__A0_A1_REG CYREG_B0_UDB07_A0_A1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__A0_REG CYREG_B0_UDB07_A0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__A1_REG CYREG_B0_UDB07_A1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__D0_D1_REG CYREG_B0_UDB07_D0_D1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__D0_REG CYREG_B0_UDB07_D0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__D1_REG CYREG_B0_UDB07_D1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__DP_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__F0_F1_REG CYREG_B0_UDB07_F0_F1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__F0_REG CYREG_B0_UDB07_F0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__F1_REG CYREG_B0_UDB07_F1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__MSK_DP_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__PER_DP_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL

/* Clock_ADC */
#define Clock_ADC__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define Clock_ADC__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define Clock_ADC__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define Clock_ADC__CFG2_SRC_SEL_MASK 0x07u
#define Clock_ADC__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define Clock_ADC__CFG3_PHASE_DLY_MASK 0x0Fu
#define Clock_ADC__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define Clock_ADC__PM_ACT_MSK 0x01u
#define Clock_ADC__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define Clock_ADC__PM_STBY_MSK 0x01u

/* DigIn_Reg */
#define DigIn_Reg_sts_sts_reg__0__MASK 0x01u
#define DigIn_Reg_sts_sts_reg__0__POS 0
#define DigIn_Reg_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB05_06_ACTL
#define DigIn_Reg_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB05_06_ST
#define DigIn_Reg_sts_sts_reg__1__MASK 0x02u
#define DigIn_Reg_sts_sts_reg__1__POS 1
#define DigIn_Reg_sts_sts_reg__2__MASK 0x04u
#define DigIn_Reg_sts_sts_reg__2__POS 2
#define DigIn_Reg_sts_sts_reg__3__MASK 0x08u
#define DigIn_Reg_sts_sts_reg__3__POS 3
#define DigIn_Reg_sts_sts_reg__4__MASK 0x10u
#define DigIn_Reg_sts_sts_reg__4__POS 4
#define DigIn_Reg_sts_sts_reg__5__MASK 0x20u
#define DigIn_Reg_sts_sts_reg__5__POS 5
#define DigIn_Reg_sts_sts_reg__6__MASK 0x40u
#define DigIn_Reg_sts_sts_reg__6__POS 6
#define DigIn_Reg_sts_sts_reg__7__MASK 0x80u
#define DigIn_Reg_sts_sts_reg__7__POS 7
#define DigIn_Reg_sts_sts_reg__MASK 0xFFu
#define DigIn_Reg_sts_sts_reg__MASK_REG CYREG_B0_UDB05_MSK
#define DigIn_Reg_sts_sts_reg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define DigIn_Reg_sts_sts_reg__PER_ST_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define DigIn_Reg_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB05_ACTL
#define DigIn_Reg_sts_sts_reg__STATUS_CNT_REG CYREG_B0_UDB05_ST_CTL
#define DigIn_Reg_sts_sts_reg__STATUS_CONTROL_REG CYREG_B0_UDB05_ST_CTL
#define DigIn_Reg_sts_sts_reg__STATUS_REG CYREG_B0_UDB05_ST

/* GLCD_Data */
#define GLCD_Data__0__MASK 0x01u
#define GLCD_Data__0__PC CYREG_PRT4_PC0
#define GLCD_Data__0__PORT 4
#define GLCD_Data__0__SHIFT 0
#define GLCD_Data__1__MASK 0x02u
#define GLCD_Data__1__PC CYREG_PRT4_PC1
#define GLCD_Data__1__PORT 4
#define GLCD_Data__1__SHIFT 1
#define GLCD_Data__2__MASK 0x04u
#define GLCD_Data__2__PC CYREG_PRT4_PC2
#define GLCD_Data__2__PORT 4
#define GLCD_Data__2__SHIFT 2
#define GLCD_Data__3__MASK 0x08u
#define GLCD_Data__3__PC CYREG_PRT4_PC3
#define GLCD_Data__3__PORT 4
#define GLCD_Data__3__SHIFT 3
#define GLCD_Data__4__MASK 0x10u
#define GLCD_Data__4__PC CYREG_PRT4_PC4
#define GLCD_Data__4__PORT 4
#define GLCD_Data__4__SHIFT 4
#define GLCD_Data__5__MASK 0x20u
#define GLCD_Data__5__PC CYREG_PRT4_PC5
#define GLCD_Data__5__PORT 4
#define GLCD_Data__5__SHIFT 5
#define GLCD_Data__6__MASK 0x40u
#define GLCD_Data__6__PC CYREG_PRT4_PC6
#define GLCD_Data__6__PORT 4
#define GLCD_Data__6__SHIFT 6
#define GLCD_Data__7__MASK 0x80u
#define GLCD_Data__7__PC CYREG_PRT4_PC7
#define GLCD_Data__7__PORT 4
#define GLCD_Data__7__SHIFT 7
#define GLCD_Data__AG CYREG_PRT4_AG
#define GLCD_Data__AMUX CYREG_PRT4_AMUX
#define GLCD_Data__BIE CYREG_PRT4_BIE
#define GLCD_Data__BIT_MASK CYREG_PRT4_BIT_MASK
#define GLCD_Data__BYP CYREG_PRT4_BYP
#define GLCD_Data__CTL CYREG_PRT4_CTL
#define GLCD_Data__DM0 CYREG_PRT4_DM0
#define GLCD_Data__DM1 CYREG_PRT4_DM1
#define GLCD_Data__DM2 CYREG_PRT4_DM2
#define GLCD_Data__DR CYREG_PRT4_DR
#define GLCD_Data__INP_DIS CYREG_PRT4_INP_DIS
#define GLCD_Data__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define GLCD_Data__LCD_EN CYREG_PRT4_LCD_EN
#define GLCD_Data__MASK 0xFFu
#define GLCD_Data__PORT 4
#define GLCD_Data__PRT CYREG_PRT4_PRT
#define GLCD_Data__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define GLCD_Data__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define GLCD_Data__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define GLCD_Data__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define GLCD_Data__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define GLCD_Data__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define GLCD_Data__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define GLCD_Data__PS CYREG_PRT4_PS
#define GLCD_Data__SHIFT 0
#define GLCD_Data__SLW CYREG_PRT4_SLW

/* DMA_ADC1 */
#define DMA_ADC1__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_ADC1__DRQ_NUMBER 0
#define DMA_ADC1__NUMBEROF_TDS 0
#define DMA_ADC1__PRIORITY 2
#define DMA_ADC1__TERMIN_EN 0
#define DMA_ADC1__TERMIN_SEL 0
#define DMA_ADC1__TERMOUT0_EN 1
#define DMA_ADC1__TERMOUT0_SEL 0
#define DMA_ADC1__TERMOUT1_EN 0
#define DMA_ADC1__TERMOUT1_SEL 0

/* DMA_ADC2 */
#define DMA_ADC2__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_ADC2__DRQ_NUMBER 1
#define DMA_ADC2__NUMBEROF_TDS 0
#define DMA_ADC2__PRIORITY 2
#define DMA_ADC2__TERMIN_EN 0
#define DMA_ADC2__TERMIN_SEL 0
#define DMA_ADC2__TERMOUT0_EN 0
#define DMA_ADC2__TERMOUT0_SEL 0
#define DMA_ADC2__TERMOUT1_EN 0
#define DMA_ADC2__TERMOUT1_SEL 0

/* DMA_Wave */
#define DMA_Wave__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_Wave__DRQ_NUMBER 3
#define DMA_Wave__NUMBEROF_TDS 0
#define DMA_Wave__PRIORITY 2
#define DMA_Wave__TERMIN_EN 0
#define DMA_Wave__TERMIN_SEL 0
#define DMA_Wave__TERMOUT0_EN 0
#define DMA_Wave__TERMOUT0_SEL 0
#define DMA_Wave__TERMOUT1_EN 0
#define DMA_Wave__TERMOUT1_SEL 0

/* isr_sync */
#define isr_sync__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define isr_sync__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define isr_sync__INTC_MASK 0x08u
#define isr_sync__INTC_NUMBER 3
#define isr_sync__INTC_PRIOR_NUM 7
#define isr_sync__INTC_PRIOR_REG CYREG_NVIC_PRI_3
#define isr_sync__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define isr_sync__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* isr_uart */
#define isr_uart__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define isr_uart__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define isr_uart__INTC_MASK 0x20u
#define isr_uart__INTC_NUMBER 5
#define isr_uart__INTC_PRIOR_NUM 4
#define isr_uart__INTC_PRIOR_REG CYREG_NVIC_PRI_5
#define isr_uart__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define isr_uart__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* PGA_1_SC */
#define PGA_1_SC__BST CYREG_SC1_BST
#define PGA_1_SC__CLK CYREG_SC1_CLK
#define PGA_1_SC__CR0 CYREG_SC1_CR0
#define PGA_1_SC__CR1 CYREG_SC1_CR1
#define PGA_1_SC__CR2 CYREG_SC1_CR2
#define PGA_1_SC__MSK CYREG_SC_MSK
#define PGA_1_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define PGA_1_SC__PM_ACT_MSK 0x04u
#define PGA_1_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define PGA_1_SC__PM_STBY_MSK 0x04u
#define PGA_1_SC__SR CYREG_SC_SR
#define PGA_1_SC__SW0 CYREG_SC1_SW0
#define PGA_1_SC__SW10 CYREG_SC1_SW10
#define PGA_1_SC__SW2 CYREG_SC1_SW2
#define PGA_1_SC__SW3 CYREG_SC1_SW3
#define PGA_1_SC__SW4 CYREG_SC1_SW4
#define PGA_1_SC__SW6 CYREG_SC1_SW6
#define PGA_1_SC__SW7 CYREG_SC1_SW7
#define PGA_1_SC__SW8 CYREG_SC1_SW8

/* PGA_2_SC */
#define PGA_2_SC__BST CYREG_SC2_BST
#define PGA_2_SC__CLK CYREG_SC2_CLK
#define PGA_2_SC__CR0 CYREG_SC2_CR0
#define PGA_2_SC__CR1 CYREG_SC2_CR1
#define PGA_2_SC__CR2 CYREG_SC2_CR2
#define PGA_2_SC__MSK CYREG_SC_MSK
#define PGA_2_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define PGA_2_SC__PM_ACT_MSK 0x02u
#define PGA_2_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define PGA_2_SC__PM_STBY_MSK 0x02u
#define PGA_2_SC__SR CYREG_SC_SR
#define PGA_2_SC__SW0 CYREG_SC2_SW0
#define PGA_2_SC__SW10 CYREG_SC2_SW10
#define PGA_2_SC__SW2 CYREG_SC2_SW2
#define PGA_2_SC__SW3 CYREG_SC2_SW3
#define PGA_2_SC__SW4 CYREG_SC2_SW4
#define PGA_2_SC__SW6 CYREG_SC2_SW6
#define PGA_2_SC__SW7 CYREG_SC2_SW7
#define PGA_2_SC__SW8 CYREG_SC2_SW8

/* Pin_Sync */
#define Pin_Sync__0__MASK 0x40u
#define Pin_Sync__0__PC CYREG_PRT1_PC6
#define Pin_Sync__0__PORT 1
#define Pin_Sync__0__SHIFT 6
#define Pin_Sync__AG CYREG_PRT1_AG
#define Pin_Sync__AMUX CYREG_PRT1_AMUX
#define Pin_Sync__BIE CYREG_PRT1_BIE
#define Pin_Sync__BIT_MASK CYREG_PRT1_BIT_MASK
#define Pin_Sync__BYP CYREG_PRT1_BYP
#define Pin_Sync__CTL CYREG_PRT1_CTL
#define Pin_Sync__DM0 CYREG_PRT1_DM0
#define Pin_Sync__DM1 CYREG_PRT1_DM1
#define Pin_Sync__DM2 CYREG_PRT1_DM2
#define Pin_Sync__DR CYREG_PRT1_DR
#define Pin_Sync__INP_DIS CYREG_PRT1_INP_DIS
#define Pin_Sync__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define Pin_Sync__LCD_EN CYREG_PRT1_LCD_EN
#define Pin_Sync__MASK 0x40u
#define Pin_Sync__PORT 1
#define Pin_Sync__PRT CYREG_PRT1_PRT
#define Pin_Sync__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define Pin_Sync__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define Pin_Sync__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define Pin_Sync__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define Pin_Sync__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define Pin_Sync__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define Pin_Sync__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define Pin_Sync__PS CYREG_PRT1_PS
#define Pin_Sync__SHIFT 6
#define Pin_Sync__SLW CYREG_PRT1_SLW

/* Pin_Wave */
#define Pin_Wave__0__MASK 0x01u
#define Pin_Wave__0__PC CYREG_PRT0_PC0
#define Pin_Wave__0__PORT 0
#define Pin_Wave__0__SHIFT 0
#define Pin_Wave__AG CYREG_PRT0_AG
#define Pin_Wave__AMUX CYREG_PRT0_AMUX
#define Pin_Wave__BIE CYREG_PRT0_BIE
#define Pin_Wave__BIT_MASK CYREG_PRT0_BIT_MASK
#define Pin_Wave__BYP CYREG_PRT0_BYP
#define Pin_Wave__CTL CYREG_PRT0_CTL
#define Pin_Wave__DM0 CYREG_PRT0_DM0
#define Pin_Wave__DM1 CYREG_PRT0_DM1
#define Pin_Wave__DM2 CYREG_PRT0_DM2
#define Pin_Wave__DR CYREG_PRT0_DR
#define Pin_Wave__INP_DIS CYREG_PRT0_INP_DIS
#define Pin_Wave__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Pin_Wave__LCD_EN CYREG_PRT0_LCD_EN
#define Pin_Wave__PORT 0
#define Pin_Wave__PRT CYREG_PRT0_PRT
#define Pin_Wave__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Pin_Wave__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Pin_Wave__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Pin_Wave__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Pin_Wave__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Pin_Wave__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Pin_Wave__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Pin_Wave__PS CYREG_PRT0_PS
#define Pin_Wave__SLW CYREG_PRT0_SLW

/* AnaIn_1 */
#define AnaIn_1__0__MASK 0x40u
#define AnaIn_1__0__PC CYREG_PRT0_PC6
#define AnaIn_1__0__PORT 0
#define AnaIn_1__0__SHIFT 6
#define AnaIn_1__AG CYREG_PRT0_AG
#define AnaIn_1__AMUX CYREG_PRT0_AMUX
#define AnaIn_1__BIE CYREG_PRT0_BIE
#define AnaIn_1__BIT_MASK CYREG_PRT0_BIT_MASK
#define AnaIn_1__BYP CYREG_PRT0_BYP
#define AnaIn_1__CTL CYREG_PRT0_CTL
#define AnaIn_1__DM0 CYREG_PRT0_DM0
#define AnaIn_1__DM1 CYREG_PRT0_DM1
#define AnaIn_1__DM2 CYREG_PRT0_DM2
#define AnaIn_1__DR CYREG_PRT0_DR
#define AnaIn_1__INP_DIS CYREG_PRT0_INP_DIS
#define AnaIn_1__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define AnaIn_1__LCD_EN CYREG_PRT0_LCD_EN
#define AnaIn_1__PORT 0
#define AnaIn_1__PRT CYREG_PRT0_PRT
#define AnaIn_1__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define AnaIn_1__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define AnaIn_1__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define AnaIn_1__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define AnaIn_1__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define AnaIn_1__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define AnaIn_1__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define AnaIn_1__PS CYREG_PRT0_PS
#define AnaIn_1__SLW CYREG_PRT0_SLW

/* AnaIn_2 */
#define AnaIn_2__0__MASK 0x80u
#define AnaIn_2__0__PC CYREG_PRT0_PC7
#define AnaIn_2__0__PORT 0
#define AnaIn_2__0__SHIFT 7
#define AnaIn_2__AG CYREG_PRT0_AG
#define AnaIn_2__AMUX CYREG_PRT0_AMUX
#define AnaIn_2__BIE CYREG_PRT0_BIE
#define AnaIn_2__BIT_MASK CYREG_PRT0_BIT_MASK
#define AnaIn_2__BYP CYREG_PRT0_BYP
#define AnaIn_2__CTL CYREG_PRT0_CTL
#define AnaIn_2__DM0 CYREG_PRT0_DM0
#define AnaIn_2__DM1 CYREG_PRT0_DM1
#define AnaIn_2__DM2 CYREG_PRT0_DM2
#define AnaIn_2__DR CYREG_PRT0_DR
#define AnaIn_2__INP_DIS CYREG_PRT0_INP_DIS
#define AnaIn_2__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define AnaIn_2__LCD_EN CYREG_PRT0_LCD_EN
#define AnaIn_2__PORT 0
#define AnaIn_2__PRT CYREG_PRT0_PRT
#define AnaIn_2__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define AnaIn_2__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define AnaIn_2__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define AnaIn_2__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define AnaIn_2__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define AnaIn_2__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define AnaIn_2__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define AnaIn_2__PS CYREG_PRT0_PS
#define AnaIn_2__SLW CYREG_PRT0_SLW

/* AnaIn_3 */
#define AnaIn_3__0__MASK 0x10u
#define AnaIn_3__0__PC CYREG_PRT1_PC4
#define AnaIn_3__0__PORT 1
#define AnaIn_3__0__SHIFT 4
#define AnaIn_3__AG CYREG_PRT1_AG
#define AnaIn_3__AMUX CYREG_PRT1_AMUX
#define AnaIn_3__BIE CYREG_PRT1_BIE
#define AnaIn_3__BIT_MASK CYREG_PRT1_BIT_MASK
#define AnaIn_3__BYP CYREG_PRT1_BYP
#define AnaIn_3__CTL CYREG_PRT1_CTL
#define AnaIn_3__DM0 CYREG_PRT1_DM0
#define AnaIn_3__DM1 CYREG_PRT1_DM1
#define AnaIn_3__DM2 CYREG_PRT1_DM2
#define AnaIn_3__DR CYREG_PRT1_DR
#define AnaIn_3__INP_DIS CYREG_PRT1_INP_DIS
#define AnaIn_3__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define AnaIn_3__LCD_EN CYREG_PRT1_LCD_EN
#define AnaIn_3__PORT 1
#define AnaIn_3__PRT CYREG_PRT1_PRT
#define AnaIn_3__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define AnaIn_3__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define AnaIn_3__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define AnaIn_3__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define AnaIn_3__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define AnaIn_3__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define AnaIn_3__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define AnaIn_3__PS CYREG_PRT1_PS
#define AnaIn_3__SLW CYREG_PRT1_SLW

/* AnaIn_4 */
#define AnaIn_4__0__MASK 0x20u
#define AnaIn_4__0__PC CYREG_PRT6_PC5
#define AnaIn_4__0__PORT 6
#define AnaIn_4__0__SHIFT 5
#define AnaIn_4__AG CYREG_PRT6_AG
#define AnaIn_4__AMUX CYREG_PRT6_AMUX
#define AnaIn_4__BIE CYREG_PRT6_BIE
#define AnaIn_4__BIT_MASK CYREG_PRT6_BIT_MASK
#define AnaIn_4__BYP CYREG_PRT6_BYP
#define AnaIn_4__CTL CYREG_PRT6_CTL
#define AnaIn_4__DM0 CYREG_PRT6_DM0
#define AnaIn_4__DM1 CYREG_PRT6_DM1
#define AnaIn_4__DM2 CYREG_PRT6_DM2
#define AnaIn_4__DR CYREG_PRT6_DR
#define AnaIn_4__INP_DIS CYREG_PRT6_INP_DIS
#define AnaIn_4__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define AnaIn_4__LCD_EN CYREG_PRT6_LCD_EN
#define AnaIn_4__PORT 6
#define AnaIn_4__PRT CYREG_PRT6_PRT
#define AnaIn_4__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define AnaIn_4__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define AnaIn_4__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define AnaIn_4__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define AnaIn_4__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define AnaIn_4__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define AnaIn_4__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define AnaIn_4__PS CYREG_PRT6_PS
#define AnaIn_4__SLW CYREG_PRT6_SLW

/* DMA_DIG */
#define DMA_DIG__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_DIG__DRQ_NUMBER 2
#define DMA_DIG__NUMBEROF_TDS 0
#define DMA_DIG__PRIORITY 3
#define DMA_DIG__TERMIN_EN 0
#define DMA_DIG__TERMIN_SEL 0
#define DMA_DIG__TERMOUT0_EN 0
#define DMA_DIG__TERMOUT0_SEL 0
#define DMA_DIG__TERMOUT1_EN 0
#define DMA_DIG__TERMOUT1_SEL 0

/* FreqPot */
#define FreqPot__0__MASK 0x80u
#define FreqPot__0__PC CYREG_PRT5_PC7
#define FreqPot__0__PORT 5
#define FreqPot__0__SHIFT 7
#define FreqPot__AG CYREG_PRT5_AG
#define FreqPot__AMUX CYREG_PRT5_AMUX
#define FreqPot__BIE CYREG_PRT5_BIE
#define FreqPot__BIT_MASK CYREG_PRT5_BIT_MASK
#define FreqPot__BYP CYREG_PRT5_BYP
#define FreqPot__CTL CYREG_PRT5_CTL
#define FreqPot__DM0 CYREG_PRT5_DM0
#define FreqPot__DM1 CYREG_PRT5_DM1
#define FreqPot__DM2 CYREG_PRT5_DM2
#define FreqPot__DR CYREG_PRT5_DR
#define FreqPot__INP_DIS CYREG_PRT5_INP_DIS
#define FreqPot__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define FreqPot__LCD_EN CYREG_PRT5_LCD_EN
#define FreqPot__PORT 5
#define FreqPot__PRT CYREG_PRT5_PRT
#define FreqPot__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define FreqPot__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define FreqPot__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define FreqPot__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define FreqPot__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define FreqPot__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define FreqPot__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define FreqPot__PS CYREG_PRT5_PS
#define FreqPot__SLW CYREG_PRT5_SLW

/* DigIn */
#define DigIn__0__MASK 0x01u
#define DigIn__0__PC CYREG_PRT3_PC0
#define DigIn__0__PORT 3
#define DigIn__0__SHIFT 0
#define DigIn__1__MASK 0x02u
#define DigIn__1__PC CYREG_PRT3_PC1
#define DigIn__1__PORT 3
#define DigIn__1__SHIFT 1
#define DigIn__2__MASK 0x04u
#define DigIn__2__PC CYREG_PRT3_PC2
#define DigIn__2__PORT 3
#define DigIn__2__SHIFT 2
#define DigIn__3__MASK 0x08u
#define DigIn__3__PC CYREG_PRT3_PC3
#define DigIn__3__PORT 3
#define DigIn__3__SHIFT 3
#define DigIn__4__MASK 0x10u
#define DigIn__4__PC CYREG_PRT3_PC4
#define DigIn__4__PORT 3
#define DigIn__4__SHIFT 4
#define DigIn__5__MASK 0x20u
#define DigIn__5__PC CYREG_PRT3_PC5
#define DigIn__5__PORT 3
#define DigIn__5__SHIFT 5
#define DigIn__6__MASK 0x40u
#define DigIn__6__PC CYREG_PRT3_PC6
#define DigIn__6__PORT 3
#define DigIn__6__SHIFT 6
#define DigIn__7__MASK 0x80u
#define DigIn__7__PC CYREG_PRT3_PC7
#define DigIn__7__PORT 3
#define DigIn__7__SHIFT 7
#define DigIn__AG CYREG_PRT3_AG
#define DigIn__AMUX CYREG_PRT3_AMUX
#define DigIn__BIE CYREG_PRT3_BIE
#define DigIn__BIT_MASK CYREG_PRT3_BIT_MASK
#define DigIn__BYP CYREG_PRT3_BYP
#define DigIn__CTL CYREG_PRT3_CTL
#define DigIn__DM0 CYREG_PRT3_DM0
#define DigIn__DM1 CYREG_PRT3_DM1
#define DigIn__DM2 CYREG_PRT3_DM2
#define DigIn__DR CYREG_PRT3_DR
#define DigIn__INP_DIS CYREG_PRT3_INP_DIS
#define DigIn__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define DigIn__LCD_EN CYREG_PRT3_LCD_EN
#define DigIn__MASK 0xFFu
#define DigIn__PORT 3
#define DigIn__PRT CYREG_PRT3_PRT
#define DigIn__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define DigIn__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define DigIn__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define DigIn__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define DigIn__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define DigIn__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define DigIn__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define DigIn__PS CYREG_PRT3_PS
#define DigIn__SHIFT 0
#define DigIn__SLW CYREG_PRT3_SLW

/* VCO1 */
#define VCO1__0__MASK 0x08u
#define VCO1__0__PC CYREG_PRT6_PC3
#define VCO1__0__PORT 6
#define VCO1__0__SHIFT 3
#define VCO1__AG CYREG_PRT6_AG
#define VCO1__AMUX CYREG_PRT6_AMUX
#define VCO1__BIE CYREG_PRT6_BIE
#define VCO1__BIT_MASK CYREG_PRT6_BIT_MASK
#define VCO1__BYP CYREG_PRT6_BYP
#define VCO1__CTL CYREG_PRT6_CTL
#define VCO1__DM0 CYREG_PRT6_DM0
#define VCO1__DM1 CYREG_PRT6_DM1
#define VCO1__DM2 CYREG_PRT6_DM2
#define VCO1__DR CYREG_PRT6_DR
#define VCO1__INP_DIS CYREG_PRT6_INP_DIS
#define VCO1__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define VCO1__LCD_EN CYREG_PRT6_LCD_EN
#define VCO1__PORT 6
#define VCO1__PRT CYREG_PRT6_PRT
#define VCO1__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define VCO1__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define VCO1__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define VCO1__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define VCO1__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define VCO1__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define VCO1__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define VCO1__PS CYREG_PRT6_PS
#define VCO1__SLW CYREG_PRT6_SLW

/* VCO2 */
#define VCO2__0__MASK 0x80u
#define VCO2__0__PC CYREG_PRT6_PC7
#define VCO2__0__PORT 6
#define VCO2__0__SHIFT 7
#define VCO2__AG CYREG_PRT6_AG
#define VCO2__AMUX CYREG_PRT6_AMUX
#define VCO2__BIE CYREG_PRT6_BIE
#define VCO2__BIT_MASK CYREG_PRT6_BIT_MASK
#define VCO2__BYP CYREG_PRT6_BYP
#define VCO2__CTL CYREG_PRT6_CTL
#define VCO2__DM0 CYREG_PRT6_DM0
#define VCO2__DM1 CYREG_PRT6_DM1
#define VCO2__DM2 CYREG_PRT6_DM2
#define VCO2__DR CYREG_PRT6_DR
#define VCO2__INP_DIS CYREG_PRT6_INP_DIS
#define VCO2__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define VCO2__LCD_EN CYREG_PRT6_LCD_EN
#define VCO2__PORT 6
#define VCO2__PRT CYREG_PRT6_PRT
#define VCO2__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define VCO2__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define VCO2__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define VCO2__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define VCO2__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define VCO2__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define VCO2__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define VCO2__PS CYREG_PRT6_PS
#define VCO2__SLW CYREG_PRT6_SLW

/* Rx */
#define Rx__0__MASK 0x10u
#define Rx__0__PC CYREG_PRT15_PC4
#define Rx__0__PORT 15
#define Rx__0__SHIFT 4
#define Rx__AG CYREG_PRT15_AG
#define Rx__AMUX CYREG_PRT15_AMUX
#define Rx__BIE CYREG_PRT15_BIE
#define Rx__BIT_MASK CYREG_PRT15_BIT_MASK
#define Rx__BYP CYREG_PRT15_BYP
#define Rx__CTL CYREG_PRT15_CTL
#define Rx__DM0 CYREG_PRT15_DM0
#define Rx__DM1 CYREG_PRT15_DM1
#define Rx__DM2 CYREG_PRT15_DM2
#define Rx__DR CYREG_PRT15_DR
#define Rx__INP_DIS CYREG_PRT15_INP_DIS
#define Rx__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define Rx__LCD_EN CYREG_PRT15_LCD_EN
#define Rx__MASK 0x10u
#define Rx__PORT 15
#define Rx__PRT CYREG_PRT15_PRT
#define Rx__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define Rx__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define Rx__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define Rx__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define Rx__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define Rx__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define Rx__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define Rx__PS CYREG_PRT15_PS
#define Rx__SHIFT 4
#define Rx__SLW CYREG_PRT15_SLW

/* Tx */
#define Tx__0__MASK 0x80u
#define Tx__0__PC CYREG_PRT2_PC7
#define Tx__0__PORT 2
#define Tx__0__SHIFT 7
#define Tx__AG CYREG_PRT2_AG
#define Tx__AMUX CYREG_PRT2_AMUX
#define Tx__BIE CYREG_PRT2_BIE
#define Tx__BIT_MASK CYREG_PRT2_BIT_MASK
#define Tx__BYP CYREG_PRT2_BYP
#define Tx__CTL CYREG_PRT2_CTL
#define Tx__DM0 CYREG_PRT2_DM0
#define Tx__DM1 CYREG_PRT2_DM1
#define Tx__DM2 CYREG_PRT2_DM2
#define Tx__DR CYREG_PRT2_DR
#define Tx__INP_DIS CYREG_PRT2_INP_DIS
#define Tx__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define Tx__LCD_EN CYREG_PRT2_LCD_EN
#define Tx__MASK 0x80u
#define Tx__PORT 2
#define Tx__PRT CYREG_PRT2_PRT
#define Tx__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define Tx__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define Tx__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define Tx__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define Tx__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define Tx__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define Tx__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define Tx__PS CYREG_PRT2_PS
#define Tx__SHIFT 7
#define Tx__SLW CYREG_PRT2_SLW

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 0
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_FAMILY_PSOC5 3
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 38000000U
#define BCLK__BUS_CLK__KHZ 38000U
#define BCLK__BUS_CLK__MHZ 38U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_FAMILY_PSOC4 2
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5A
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5A_ES1
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DATA_CACHE_ENABLED 0
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_DBE
#define CYDEV_DMA_CHANNELS_AVAILABLE 24
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 4096
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 16384
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x0000000Fu
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
