/* ========================================
 *
 * Copyright Hendrik Lipka, 2011
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF Hendrik Lipka.
 *
 * ========================================
*/

#ifndef __DDS_H
#define __DDS_H


extern uint8 selectMode;
extern uint8 waveForm;

extern uint8 modeState;
extern uint8 selectState;

extern int32 userFreq;

extern uint8 currentChannel;

void adcIrq();
void setFrequency(uint32 freq);
void selectDMASource(uint8 source);
void init_dds();


#endif
//[] END OF FILE
