/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#ifndef __SCOPE_H
#define __SCOPE_H

#include "device.h"

/* 
	parsed config values
*/
// analog trigger and input config data for both channels
extern uint8 triggerLevel1;
extern uint8 triggerRising1;
extern uint8 triggerActive1;
extern uint8 channelMux1;
extern uint8 channelGain1;

extern uint8 triggerLevel2;
extern uint8 triggerRising2;
extern uint8 triggerActive2;
extern uint8 channelGain2;
extern uint8 channelMux2;

// digital trigger data
extern uint8 triggerMaskDig;
extern uint8 triggerValuesDig;

// divider for frequency definition
extern uint32 divider;

// which channels are active
extern uint8 sendChannel0;
extern uint8 sendChannel1;
extern uint8 sendChannel2;
extern uint8 sendChannel3;

// number of samples to get
extern uint32 sampleCount;

#endif

//[] END OF FILE
