/*******************************************************************************
* File Name: GLCD_Control.h  
* Version 1.70
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_GLCD_Control_ALIASES_H) /* Pins GLCD_Control_ALIASES_H */
#define CY_PINS_GLCD_Control_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"

/***************************************
*              Constants        
***************************************/
#define GLCD_Control_0		GLCD_Control__0__PC
#define GLCD_Control_1		GLCD_Control__1__PC
#define GLCD_Control_2		GLCD_Control__2__PC
#define GLCD_Control_3		GLCD_Control__3__PC

#define GLCD_Control_RS		GLCD_Control__RS__PC
#define GLCD_Control_RW		GLCD_Control__RW__PC
#define GLCD_Control_E		GLCD_Control__E__PC
#define GLCD_Control_CS		GLCD_Control__CS__PC

#endif /* End Pins GLCD_Control_ALIASES_H */

/* [] END OF FILE */
